/* A lexical scanner generated by flex */

/* scanner skeleton version:
 * $Header: /home/horse/u0/vern/flex/RCS/flex.skel,v 2.16 90/08/03 14:09:36 vern Exp Locker: vern $
 */

#define FLEX_SCANNER

#include <stdio.h>


/* cfront 1.2 defines "c_plusplus" instead of "__cplusplus" */
#ifdef c_plusplus
#ifndef __cplusplus
#define __cplusplus
#endif
#endif


#ifdef __cplusplus

#include <stdlib.h>
#include <osfcn.h>

/* use prototypes in function declarations */
#define YY_USE_PROTOS

/* the "const" storage-class-modifier is valid */
#define YY_USE_CONST

#else	/* ! __cplusplus */

#ifdef __STDC__

#ifdef __GNUC__
#include <stddef.h>
void *malloc( size_t );
void free( void* );
#else
#include <stdlib.h>
#endif	/* __GNUC__ */

#define YY_USE_PROTOS
#define YY_USE_CONST

#endif	/* __STDC__ */
#endif	/* ! __cplusplus */


#ifdef __TURBOC__
#define YY_USE_CONST
#endif


#ifndef YY_USE_CONST
#define const
#endif


#ifdef YY_USE_PROTOS
#define YY_PROTO(proto) proto
#else
#define YY_PROTO(proto) ()
/* we can't get here if it's an ANSI C compiler, or a C++ compiler,
 * so it's got to be a K&R compiler, and therefore there's no standard
 * place from which to include these definitions
 */
char *malloc();
int free();
int read();
#endif


/* amount of stuff to slurp up with each read */
#ifndef YY_READ_BUF_SIZE
#define YY_READ_BUF_SIZE 8192
#endif

/* returned upon end-of-file */
#define YY_END_TOK 0

/* copy whatever the last rule matched to the standard output */

/* cast to (char *) is because for 8-bit chars, yytext is (unsigned char *) */
/* this used to be an fputs(), but since the string might contain NUL's,
 * we now use fwrite()
 */
#define ECHO (void) fwrite( (char *) yytext, yyleng, 1, yyout )

/* gets input and stuffs it into "buf".  number of characters read, or YY_NULL,
 * is returned in "result".
 */
#define YY_INPUT(buf,result,max_size) \
	if ( (result = read( fileno(yyin), (char *) buf, max_size )) < 0 ) \
	    YY_FATAL_ERROR( "read() in flex scanner failed" );
#define YY_NULL 0

/* no semi-colon after return; correct usage is to write "yyterminate();" -
 * we don't want an extra ';' after the "return" because that will cause
 * some compilers to complain about unreachable statements.
 */
#define yyterminate() return ( YY_NULL )

/* report a fatal error */

/* The funky do-while is used to turn this macro definition into
 * a single C statement (which needs a semi-colon terminator).
 * This avoids problems with code like:
 *
 * 	if ( something_happens )
 *		YY_FATAL_ERROR( "oops, the something happened" );
 *	else
 *		everything_okay();
 *
 * Prior to using the do-while the compiler would get upset at the
 * "else" because it interpreted the "if" statement as being all
 * done when it reached the ';' after the YY_FATAL_ERROR() call.
 */

#define YY_FATAL_ERROR(msg) \
	do \
		{ \
		(void) fputs( msg, stderr ); \
		(void) putc( '\n', stderr ); \
		exit( 1 ); \
		} \
	while ( 0 )

/* default yywrap function - always treat EOF as an EOF */
#define yywrap() 1

/* enter a start condition.  This macro really ought to take a parameter,
 * but we do it the disgusting crufty way forced on us by the ()-less
 * definition of BEGIN
 */
#define BEGIN yy_start = 1 + 2 *

/* action number for EOF rule of a given start state */
#define YY_STATE_EOF(state) (YY_END_OF_BUFFER + state + 1)

/* special action meaning "start processing a new file" */
#define YY_NEW_FILE \
	do \
		{ \
		yy_init_buffer( yy_current_buffer, yyin ); \
		yy_load_buffer_state(); \
		} \
	while ( 0 )

/* default declaration of generated scanner - a define so the user can
 * easily add parameters
 */
#define YY_DECL int yylex YY_PROTO(( void )) 

/* code executed at the end of each rule */
#define YY_BREAK break;

#define YY_END_OF_BUFFER_CHAR 0

#ifndef YY_BUF_SIZE
#define YY_BUF_SIZE (YY_READ_BUF_SIZE * 2) /* size of default input buffer */
#endif

typedef struct yy_buffer_state *YY_BUFFER_STATE;

#define YY_CHAR char
# line 1 "lexer.l"
#define INITIAL 0
# line 2 "lexer.l"
/*
    This file is part of the FElt finite element analysis package.
    Copyright (C) 1993-1997 Jason I. Gobat and Darren C. Atkinson

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/************************************************************************
 * File:	lexer.l							*
 *									*
 * Description:	This file contains the flex specification for the	*
 *		lexical analyzer for the FElt 2.0 system.		*
 ************************************************************************/

# include <stdio.h>
# include <string.h>
# include <unistd.h>
# include "error.h"
# include "problem.h"

# ifdef DOS
# include "yxtab.h"
# else
# include "y.tab.h"
# endif

# undef atof
# undef strtol
extern double atof ( );
extern long strtol ( );
extern char *strdup ( );


static char *filename;
static void  update_line PROTO ((void));

static int   copy_flag = 0;
static char  copied_text [2048];
static char *copy_ptr = copied_text;

# define YY_USER_ACTION \
	if (copy_flag) { \
	    char *ptr = yytext; \
	    while ((*copy_ptr = *ptr ++)) copy_ptr ++; \
	}

# undef  YY_INPUT
# define YY_INPUT(buf,result,max_size) \
	if (problem.input) \
	    result = (*buf = *problem.input ++) ? 1 : (problem.input --, 0); \
	else \
	    if ((result = read (fileno (yyin), (char *) buf, max_size)) < 0) \
		YY_FATAL_ERROR ("read() in flex scanner failed");
#define comment 1
# line 76 "lexer.l"

/* done after the current pattern has been matched and before the
 * corresponding action - sets up yytext
 */
#define YY_DO_BEFORE_ACTION \
	yytext = yy_bp; \
	yyleng = yy_cp - yy_bp; \
	yy_hold_char = *yy_cp; \
	*yy_cp = '\0'; \
	yy_c_buf_p = yy_cp;

#define EOB_ACT_CONTINUE_SCAN 0
#define EOB_ACT_END_OF_FILE 1
#define EOB_ACT_LAST_MATCH 2

/* return all but the first 'n' matched characters back to the input stream */
#define yyless(n) \
	do \
		{ \
		/* undo effects of setting up yytext */ \
		*yy_cp = yy_hold_char; \
		yy_c_buf_p = yy_cp = yy_bp + n; \
		YY_DO_BEFORE_ACTION; /* set up yytext again */ \
		} \
	while ( 0 )

#define unput(c) yyunput( c, yytext )


struct yy_buffer_state
    {
    FILE *yy_input_file;

    YY_CHAR *yy_ch_buf;		/* input buffer */
    YY_CHAR *yy_buf_pos;	/* current position in input buffer */

    /* size of input buffer in bytes, not including room for EOB characters */
    int yy_buf_size;	

    /* number of characters read into yy_ch_buf, not including EOB characters */
    int yy_n_chars;

    int yy_eof_status;		/* whether we've seen an EOF on this buffer */
#define EOF_NOT_SEEN 0
    /* "pending" happens when the EOF has been seen but there's still
     * some text process
     */
#define EOF_PENDING 1
#define EOF_DONE 2
    };

static YY_BUFFER_STATE yy_current_buffer;

/* we provide macros for accessing buffer states in case in the
 * future we want to put the buffer states in a more general
 * "scanner state"
 */
#define YY_CURRENT_BUFFER yy_current_buffer


/* yy_hold_char holds the character lost when yytext is formed */
static YY_CHAR yy_hold_char;

static int yy_n_chars;		/* number of characters read into yy_ch_buf */



#ifndef YY_USER_ACTION
#define YY_USER_ACTION
#endif

#ifndef YY_USER_INIT
#define YY_USER_INIT
#endif

extern YY_CHAR *yytext;
extern int yyleng;
extern FILE *yyin, *yyout;

YY_CHAR *yytext;
int yyleng;

FILE *yyin = (FILE *) 0, *yyout = (FILE *) 0;

#define YY_END_OF_BUFFER 196
typedef int yy_state_type;
static const short int yy_acclist[710] =
    {   0,
      189,  189,  196,  194,  195,  186,  194,  195,  187,  195,
      194,  195,  194,  195,  194,  195,16569,  194,  195,  194,
      195,  194,  195,  179,  194,  195,  194,  195,  194,  195,
      194,  195,  183,  194,  195,  183,  194,  195,  183,  194,
      195,   47,  183,  194,  195,  183,  194,  195,  183,  194,
      195,  183,  194,  195,  183,  194,  195,   48,  183,  194,
      195,  183,  194,  195,  183,  194,  195,  183,  194,  195,
      183,  194,  195,  183,  194,  195,  183,  194,  195,  183,
      194,  195,  183,  194,  195,  183,  194,  195,   11,  183,
      194,  195,   46,  183,  194,  195,  183,  194,  195,   13,

      183,  194,  195,  183,  194,  195,  183,  194,  195,  183,
      194,  195,  194,  195,  189,  195,  190,  195,  191,  195,
      186,  174,  184,16569, 8377,  171,  182,  188,  181,  179,
      177,  175,  173,  176,  178,  183,   73,  183,  183,  183,
      183,  183,  183,  183,   85,  183,  183,  183,  183,  183,
      183,  183,   69,  183,  183,  183,  183,  183,  183,  183,
      183,  183,  183,  183,   75,  183,  183,  183,  183,  183,
      183,  183,  183,  183,  183,  183,  183,   74,  183,  183,
      183,  183,  183,  183,  183,  183,  183,  183,  183,  183,
      183,  183,  183,  183,  183,  183,  183,  183,  183,  183,

      183,  183,   54,  183,   55,  183,   56,  183,  183,  183,
      183,  183,  183,  183,  183,  183,   76,  183,  183,  183,
      183,  183,   51,  183,   52,  183,   53,  183,  183,  183,
      183,  183,  183,  183,   61,   62,   63,  172,  189,  190,
      191,  192,  191,  193,  181,  182,  180,  183,  183,  145,
      183,  115,  183,  116,  117,  183,  183,  183,  183,  183,
       16,  183,  183,  183,  183,  121,  183,  183,   10,  183,
       19,  183,  183,  183,  183,  183,  183,  183,  183,   88,
       89,   90,  183,  183,  183,  183,  183,  183,  183,  183,
      183,  183,  183,  183,  183,  183,  183,   70,   71,   72,

      183,   82,   83,   84,  183,  183,  183,  183,   20,  183,
      183,  183,  183,  183,   91,   92,   93,  183,   78,   42,
      183,  183,  183,  183,   18,  183,  183,  183,  183,  183,
      183,   80,   81,  103,  104,  105,  183,  183,  183,  183,
       15,  183,  183,  183,  183,  183,  183,  183,  183,  183,
      183,   12,   17,  183,  183,  183,  183,  183,  183,  183,
      100,  101,  102,  183,  183,  112,  113,  114,   14,  183,
      182,  181,  183,  183,  183,  183,  183,   25,  183,  183,
      183,  183,  183,  183,  183,  183,   27,  183,  183,  183,
      183,   26,  183,  183,  183,  183,  183,  183,  183,  183,

      183,  183,  183,  109,  110,  111,  183,  106,  107,  108,
      183,  183,  183,  183,  183,  183,  183,  183,  183,  183,
      183,  183,   43,  183,  183,  183,  183,  183,  183,  183,
       77,  183,   94,   95,   96,   97,   98,   99,  183,  183,
       22,  183,  183,  183,  183,  183,  144,  183,  183,  183,
      183,  183,  140,  183,  183,  183,  183,  181,  182,  183,
      183,   44,  183,  119,  183,  183,  183,  183,  183,  183,
      126,  183,  183,  141,  183,  183,   24,  183,  167,  183,
      183,  183,  183,  149,  183,  183,   23,  183,  183,  183,
      183,  183,  183,   67,  183,   21,  183,  183,   64,  183,

       30,  183,    2,  183,  183,  183,  183,  183,  183,  183,
      183,  183,  183,  148,  183,  183,  183,  125,  124,  168,
      183,  183,  183,  183,  183,  183,  118,  183,  183,  166,
      183,  183,  183,  183,  183,  183,  183,   65,    6,  183,
      120,  183,  183,  183,   48,  183,  183,   79,  183,   36,
      183,   37,  183,   38,  183,   49,  183,  183,   58,  183,
      183,  183,  183,  183,   45,  183,  183,  183,  156,  183,
      123,   28,  183,   57,  183,  183,  183,  183,  159,  153,
      152,  157,  155,  154,  158,  183,  183,  183,  183,  183,
      183,  183,   39,  183,   40,  183,   41,  183,  183,  160,

      183,  169,  183,  183,  183,  170,  183,  183,  183,  183,
      183,  183,  183,  183,   87,  183,  183,  183,  183,  183,
      183,  183,  128,  183,  183,   42,  183,  183,  143,  183,
      183,  183,   35,  183,  183,  183,  183,   60,  183,  183,
      183,  183,  122,   59,  183,   68,  183,  142,  183,  183,
      183,   29,  183,  183,    3,   50,  183,  183,  183,   86,
      183,  151,  132,  183,    9,  127,  183,  183,  150,  130,
      165,  183,   47,  183,   66,    7,  183,  183,  139,  133,
      129,  163,  135,  161,  183,  131,  164,  183,  134,  136,
      183,  183,  146,   43,  183,   46,  183,  162,  137,   31,

      147,    5,   32,   33,    8,    4,    1,   34,  138
    } ;

static const short int yy_accept[991] =
    {   0,
        1,    1,    1,    2,    3,    4,    6,    9,   11,   13,
       15,   18,   20,   22,   24,   27,   29,   31,   33,   36,
       39,   42,   46,   49,   52,   55,   58,   62,   65,   68,
       71,   74,   77,   80,   83,   86,   89,   93,   97,  100,
      104,  107,  110,  113,  115,  117,  119,  121,  122,  123,
      123,  124,  125,  126,  127,  128,  129,  130,  131,  131,
      132,  133,  134,  135,  136,  136,  137,  137,  137,  138,
      139,  140,  141,  142,  143,  144,  145,  145,  145,  146,
      147,  148,  149,  150,  151,  152,  153,  153,  153,  154,
      155,  156,  157,  158,  159,  160,  161,  162,  163,  164,

      165,  165,  165,  166,  167,  168,  169,  170,  171,  172,
      173,  174,  175,  176,  177,  178,  178,  178,  179,  180,
      181,  182,  183,  184,  185,  186,  187,  188,  189,  190,
      191,  192,  193,  194,  195,  196,  197,  198,  199,  200,
      201,  202,  203,  205,  207,  209,  210,  211,  212,  213,
      214,  215,  216,  217,  217,  217,  218,  219,  220,  221,
      222,  223,  225,  227,  229,  230,  231,  232,  233,  234,
      234,  234,  234,  235,  235,  235,  235,  236,  236,  236,
      236,  237,  237,  237,  238,  239,  240,  241,  242,  243,
      244,  245,  245,  247,  247,  247,  248,  248,  249,  250,

      252,  252,  252,  253,  254,  254,  254,  255,  255,  255,
      256,  257,  258,  259,  260,  261,  263,  264,  265,  266,
      266,  266,  267,  268,  269,  271,  273,  274,  275,  276,
      277,  278,  279,  280,  280,  280,  281,  281,  281,  282,
      282,  282,  283,  284,  285,  286,  287,  288,  289,  290,
      291,  292,  293,  294,  295,  296,  297,  298,  298,  298,
      299,  299,  299,  300,  300,  300,  301,  302,  302,  302,
      303,  303,  303,  304,  304,  304,  305,  306,  307,  308,
      309,  311,  312,  313,  314,  315,  315,  315,  316,  316,
      316,  317,  317,  317,  318,  319,  319,  319,  320,  322,

      323,  324,  325,  327,  328,  329,  330,  331,  332,  332,
      332,  333,  333,  333,  334,  334,  334,  335,  335,  335,
      336,  336,  336,  337,  338,  339,  340,  341,  343,  344,
      345,  346,  347,  348,  349,  350,  351,  352,  353,  355,
      356,  357,  358,  359,  360,  361,  361,  361,  362,  362,
      362,  363,  363,  363,  364,  365,  366,  366,  366,  367,
      367,  367,  368,  368,  368,  369,  370,  371,  371,  371,
      371,  371,  371,  372,  372,  372,  373,  373,  374,  375,
      376,  377,  378,  380,  381,  382,  383,  384,  385,  386,
      387,  389,  390,  391,  392,  394,  395,  396,  397,  398,

      399,  400,  401,  402,  403,  404,  404,  404,  405,  405,
      405,  406,  406,  406,  407,  408,  408,  408,  409,  409,
      409,  410,  410,  410,  411,  412,  413,  414,  415,  416,
      417,  418,  419,  420,  421,  422,  423,  425,  426,  427,
      428,  429,  430,  431,  431,  431,  432,  433,  433,  433,
      434,  434,  434,  435,  435,  435,  436,  436,  436,  437,
      437,  437,  438,  438,  438,  439,  440,  441,  443,  444,
      445,  446,  447,  449,  450,  451,  452,  453,  455,  456,
      457,  458,  458,  458,  458,  458,  458,  458,  458,  460,
      460,  461,  462,  464,  464,  464,  465,  466,  467,  468,

      469,  470,  471,  471,  471,  472,  473,  474,  476,  477,
      479,  479,  479,  480,  481,  482,  483,  484,  484,  484,
      484,  485,  486,  487,  489,  490,  491,  492,  493,  494,
      494,  494,  494,  495,  496,  498,  499,  499,  499,  499,
      500,  501,  503,  503,  505,  506,  507,  508,  509,  510,
      511,  512,  513,  514,  514,  514,  514,  515,  516,  517,
      518,  518,  518,  519,  519,  519,  520,  520,  520,  521,
      522,  523,  523,  524,  525,  526,  527,  527,  527,  527,
      527,  527,  527,  527,  527,  527,  528,  529,  530,  530,
      530,  531,  532,  533,  534,  535,  536,  537,  538,  538,

      538,  539,  541,  541,  541,  542,  543,  544,  544,  545,
      547,  547,  548,  548,  548,  549,  549,  550,  550,  550,
      552,  554,  556,  558,  558,  559,  559,  559,  559,  559,
      559,  560,  561,  562,  563,  564,  565,  567,  568,  569,
      569,  569,  570,  570,  571,  571,  571,  572,  574,  574,
      574,  575,  576,  576,  576,  577,  578,  579,  579,  579,
      580,  580,  581,  581,  582,  582,  583,  583,  584,  584,
      585,  585,  586,  586,  587,  587,  588,  589,  590,  591,
      592,  593,  593,  595,  597,  599,  600,  600,  600,  600,
      601,  601,  601,  601,  602,  602,  602,  602,  603,  603,

      603,  603,  604,  604,  604,  604,  605,  606,  606,  606,
      607,  608,  609,  610,  611,  611,  612,  612,  613,  613,
      613,  614,  615,  615,  615,  616,  616,  617,  617,  618,
      619,  620,  621,  622,  622,  623,  623,  623,  623,  624,
      624,  624,  624,  624,  625,  625,  625,  625,  625,  626,
      626,  626,  626,  628,  629,  631,  631,  632,  633,  633,
      635,  635,  635,  635,  636,  636,  636,  637,  638,  638,
      638,  638,  639,  639,  640,  641,  642,  643,  643,  643,
      644,  644,  644,  644,  644,  644,  645,  645,  645,  645,
      645,  645,  646,  646,  646,  646,  646,  646,  646,  647,

      647,  647,  647,  648,  648,  650,  651,  651,  651,  651,
      651,  652,  652,  652,  654,  655,  656,  656,  656,  658,
      659,  660,  660,  660,  661,  662,  662,  662,  662,  662,
      662,  663,  663,  664,  664,  664,  665,  665,  666,  666,
      666,  667,  667,  667,  667,  667,  668,  668,  669,  669,
      670,  670,  670,  670,  670,  670,  671,  671,  671,  672,
      672,  673,  673,  673,  675,  675,  675,  676,  678,  679,
      679,  679,  679,  680,  680,  681,  681,  681,  681,  682,
      682,  683,  683,  684,  684,  684,  685,  685,  685,  686,
      686,  686,  686,  687,  687,  687,  687,  687,  688,  688,

      689,  689,  689,  689,  689,  689,  689,  689,  690,  690,
      690,  691,  691,  692,  692,  692,  692,  692,  692,  693,
      693,  693,  693,  693,  693,  693,  693,  693,  694,  696,
      696,  696,  696,  696,  696,  698,  698,  698,  698,  698,
      699,  699,  700,  700,  700,  700,  700,  700,  701,  701,
      701,  701,  701,  701,  701,  701,  701,  701,  701,  701,
      701,  701,  701,  702,  702,  702,  702,  702,  702,  702,
      702,  703,  703,  703,  703,  703,  704,  704,  704,  704,
      704,  705,  705,  706,  706,  707,  708,  709,  710,  710
    } ;

static const YY_CHAR yy_ec[128] =
    {   0,
        1,    1,    1,    1,    1,    1,    1,    1,    2,    3,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    4,    5,    6,    7,    1,    1,    8,    1,    1,
        1,    9,   10,    1,   11,   12,   13,   14,   15,   16,
       16,   16,   16,   16,   16,   16,   16,    1,    1,   17,
       18,   19,    1,    1,   21,   22,   23,   24,   25,   26,
       27,   28,   29,   30,   31,   32,   33,   34,   35,   36,
       37,   38,   39,   40,   41,   42,   43,   44,   45,   46,
        1,    1,    1,    1,   20,    1,   21,   22,   23,   24,

       25,   26,   27,   28,   29,   30,   31,   32,   33,   34,
       35,   36,   37,   38,   39,   40,   41,   42,   43,   44,
       45,   46,    1,   47,    1,    1,    1
    } ;

static const YY_CHAR yy_meta[48] =
    {   0,
        1,    1,    1,    2,    1,    1,    1,    1,    3,    1,
        1,    1,    1,    2,    2,    2,    1,    1,    1,    2,
        2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
        2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
        2,    2,    2,    2,    2,    2,    1
    } ;

static const short int yy_base[996] =
    {   0,
        0,    0,   45,   46, 2080, 2081,   48, 2081, 2061, 2072,
     2074, 2068,   42, 2066,   47,   47, 2056,   48, 2069,   71,
       49,   66,   67,   79,  120,   74,   65,   94,   75,  100,
      122,  115,   47,  133,  168,  211,  250,   95,  158,  165,
      173,  174,  193, 2025, 2068, 2081,  122,  116, 2081, 2064,
     2081, 2066, 2081, 2081,  191, 2081,  194,  206,  213, 2081,
     2081, 2081, 2081, 2081, 2043, 2063,  228,  231, 2081,  138,
      152,  110,  237,  255,  256,   82,  259,  265, 2081,   96,
       56,  266,  268,  144,  260,  238,  285,  295, 2081,  213,
      176,  246,  221,  277,  147,  276,  280,  306,  313,  317,

      321,  324, 2081,  232,  287,  308,  298,  282,  297,  305,
      326,  330,  334,  341,  342,  346,  359, 2081,  343,  349,
      364,  376,  336,  328,  365,  350,  361,  369,  385,  393,
      394,  381,  400,  352,  353,  377,  395,  403,  406,  404,
      413,  417,  422,  430,  439,  177,  409,  410,  418,  412,
      421,  432,  424,  448,  454, 2048,  433,  182,  438,  456,
      461,  467,  471,  472,  457,  419,  479,  482,  490,  491,
      494, 2047,  483,  497,  502,  154, 2081,  512,  519,  477,
     2081,  520,  524, 2081, 2081, 2061, 2081,  522, 2081,  530,
     2081,  536,  539,  546,  551,  554, 2031,  501,  513, 2058,

      530,  569, 2081,  537,  570,  573, 2081,  574,  577, 2081,
      559,  555,  578,  579,  464, 2057,  580,  581,  585,  597,
      602, 2081,  582,  507, 2056, 2055,  586,  589,  592,  596,
      605,  603,  607,  614,  632, 2081,  633,  636, 2081,  637,
      640, 2081,  613,  514,  618,  643,  622,  641,  644,  615,
      660,  667,  668,  649,  671,  672,  678,  679,  689, 2081,
      690,  697, 2081,  698,  701, 2081,  648,  702,  707, 2081,
      719,  725, 2081,  726,  729, 2081,  673,  691,  731,  713,
      608,  706,  709,  720,  732,  747,  754, 2081,  755,  758,
     2081,  759,  762, 2081,  742,  766,  767, 2081,  770,  771,

      443,  736, 2054,  774,  659,  748,  778,  791,  796,  799,
     2081,  800,  804, 2081,  808,  809, 2081,  817,  821, 2081,
      826,  829, 2081,  811,  834,  838,  846, 2053,  847,  851,
      855,  801,  793,  828,  837,  854,  856, 2081, 2052,  841,
      857,  858,  859,  786,  862,  868,  876, 2081,  880,  891,
     2081,  895,  900, 2081,  870,  867,  908,  913, 2081,  917,
      918, 2081,  926,  930, 2081, 2081,  863,  765, 2020,  867,
     2019,  925,  931,  942,  935,  945, 2028,  902,  920,  875,
      960,  933, 2048,  925,  962,  910,  938,  965,  964,  967,
     2047,  968,  969,  970, 2046,  977,  971,  966,  973,  976,

      995,  872,  978,  980,  981,  996, 1007, 2081, 1008, 1013,
     2081, 1025, 1026, 2081,  997, 1031, 1032, 2081, 1035, 1038,
     2081, 1043, 1044, 2081, 1020,  984,  982, 1056, 1048, 1050,
     1051, 1064,  985, 1055, 1061, 1066, 1067, 1069, 1073, 1074,
     1075, 1080, 1077, 1081, 1086, 2081, 1082, 1106, 1110, 2081,
     1111, 1114, 2081, 1115, 1118, 2081, 1123, 1136, 2081, 1140,
     1144, 2081, 1145, 1148, 2081, 1149, 1090, 2045, 1091, 1130,
     1153, 1166, 1170, 1098, 1099,  655, 1087, 2044, 1141, 1152,
     1161, 2003, 2012, 2006, 2000, 2009, 2003, 1164, 1167, 2008,
     1183, 1160, 2036, 1188, 1189, 2081, 1172, 1192, 1182, 1191,

     1193, 1194, 1198, 1201, 2081, 1205, 1204, 2035, 1200, 2034,
     1213, 1218, 2081, 1226, 1233, 1208, 1209, 1237, 1243, 1998,
     2081, 1214, 1228, 2032, 1242, 1220, 1246, 1252, 1238, 1255,
     1265, 1996, 2081, 1254, 2030, 1258, 1268, 1276, 2000, 2081,
     1267, 2028, 1251, 1277, 1271, 1272, 1280, 1283, 1285, 1288,
     1287, 1293, 1300, 1305, 1309, 1992, 2081, 1301, 1313, 1312,
     1320, 1324, 2081, 1328, 1339, 2081, 1343, 1348, 2081, 1349,
     1304,  715, 1325, 1329, 1332, 1354, 1358, 1361, 1373, 1376,
     1379, 1380, 2005, 1383, 1384, 2081, 1340, 2025, 1388, 1401,
     2081, 1355, 1389, 1370, 1333, 1385, 1392, 2024, 1409, 1410,

     2081, 2023, 1413, 1419, 2081, 1396, 1400, 1997, 1420, 2021,
     1405, 1404, 1432, 1444, 2081, 1998, 1445, 2002, 1982, 2017,
     2016, 2015, 2014, 1982, 1447, 1981, 1980, 1973, 1452, 1453,
     2081, 1448, 1455, 1456, 1336,  986, 2009, 1403, 1421, 1462,
     1463, 2081, 1983, 1468, 1473, 1480, 2081, 1472, 1483, 1488,
     2081, 1482, 1976, 1975, 1489, 1490, 1493, 1500, 1506, 2081,
     1505, 2081, 1515, 2081, 1518, 2081, 1523, 2081, 1524, 2081,
     1530, 2081, 1975, 1414, 1512, 1496, 1511, 1508, 1525, 1534,
     1535, 1471, 2004, 2003, 2002, 1543, 1959, 1547, 1551, 2081,
     1969, 1968, 1981, 1540, 1966, 1552, 1555, 2081, 1961, 1974,

     1974, 1546, 1965, 1958, 1962, 1554, 1548, 1577, 1580, 2081,
     1558, 1990, 1556, 1560, 1947, 1559, 1561, 1581, 1960, 1957,
     1563, 1568, 1590, 1605, 2081, 1950, 1608, 1954, 1583, 1595,
     1598, 1599, 1609, 1599, 1616, 1959, 1617, 1634, 2081, 1962,
     1960, 1961, 1950, 1610, 1949, 1957, 1945, 1955, 1638, 1944,
     1955, 1955, 1972, 1592, 1971,  268, 1612, 1589, 1949, 1969,
     1938, 1930, 1942, 1621, 1934, 1928, 1624, 1637, 1928, 1643,
     1647, 2081, 1932, 1639, 1644, 1653, 1649, 1658, 1664, 2081,
     1930, 1929, 1922, 1673, 1676, 2081, 1923, 1684, 1688, 1936,
     1933, 1646, 1919, 1919, 1918, 1691, 1694, 1695, 2081, 1918,

     1930, 1929, 1659, 1928, 1948, 1669, 1703, 1928, 1928, 1924,
     1706, 1910, 1712, 1700, 1711, 2081, 1926, 1920, 1941, 1663,
     1715, 1721, 1724, 2081, 1714, 1912, 1922, 1909, 1901, 1725,
     2081, 1730, 2081, 1733, 1915, 1742, 1743, 2081, 1748, 1751,
     2081, 1901, 1754, 1899, 1899, 1732, 1897, 1755, 1761, 2081,
     1897, 1895, 1895, 1766, 1772, 2081, 1773, 1776, 2081, 1892,
     1737, 1893, 1901, 1925, 1781, 1784, 2081, 1924, 1923, 1891,
     1901, 1902, 2081, 1785, 2081, 1794, 1802, 1803, 2081, 1806,
     2081, 1809, 2081, 1888, 1812, 2081, 1813, 1883, 1797, 1898,
     1821, 1830, 2081, 1895, 1879, 1885, 1831, 2081, 1889, 1815,

     1895, 1888, 1768, 1876, 1874, 1887, 1834, 2081, 1875, 1839,
     2081, 1840, 1788, 1872, 1876, 1879, 1886, 1881, 1758, 1872,
     1863, 1868, 1843, 1849, 1864, 1876, 1852, 2081, 1896, 1855,
     1858, 1842, 1849, 1840, 1873, 1850, 1836, 1852, 1858, 2081,
     1861, 2081, 1833, 1830, 1823, 1816, 1805, 2081, 1804, 1789,
     1801, 1771, 1862, 1741, 1727, 1682, 1641, 1649, 1629, 1531,
     1460, 1867, 2081, 1387, 1319, 1272, 1198, 1065, 1055, 1060,
     2081,  902,  876,  853,  754, 2081,  700,  677,  574,  574,
     2081,  154, 2081,   93, 2081, 2081, 2081, 2081, 2081, 1885,
     1888, 1891,   78, 1894, 1896

    } ;

static const short int yy_def[996] =
    {   0,
      989,    1,  990,  990,  989,  989,  989,  989,  989,  991,
      992,  989,  989,  989,  989,  989,  989,  989,  993,  993,
      993,  993,  993,  993,  993,  993,  993,  993,  993,  993,
      993,  993,  993,  993,  993,  993,  993,  993,  993,  993,
      993,  993,  993,  989,  994,  989,  995,  989,  989,  991,
      989,  992,  989,  989,  989,  989,  989,  989,  989,  989,
      989,  989,  989,  989,  989,  993,  989,  989,  989,  993,
      993,  993,  993,  993,  993,  993,  989,  989,  989,  993,
      993,  993,  993,  993,  993,  993,  989,  989,  989,  993,
      993,  993,  993,  993,  993,  993,  993,  993,  993,  993,

      989,  989,  989,  993,  993,  993,  993,  993,  993,  993,
      993,  993,  993,  993,  993,  989,  989,  989,  993,  993,
      993,  993,  993,  993,  993,  993,  993,  993,  993,  993,
      993,  993,  993,  993,  993,  993,  993,  993,  993,  993,
      993,  993,  993,  993,  993,  993,  993,  993,  993,  993,
      993,  993,  993,  989,  989,  989,  993,  993,  993,  993,
      993,  993,  993,  993,  993,  993,  993,  993,  993,  989,
      989,  989,  993,  989,  989,  989,  989,  989,  989,  989,
      989,  989,  989,  989,  989,  994,  989,  995,  989,  995,
      989,  989,  989,  989,  989,  989,  989,  993,  993,  993,

      989,  989,  989,  993,  989,  989,  989,  989,  989,  989,
      993,  993,  993,  993,  993,  993,  993,  993,  993,  989,
      989,  989,  993,  993,  993,  993,  993,  993,  993,  993,
      993,  993,  993,  989,  989,  989,  989,  989,  989,  989,
      989,  989,  993,  993,  993,  993,  993,  993,  993,  993,
      993,  993,  993,  993,  993,  993,  993,  989,  989,  989,
      989,  989,  989,  989,  989,  989,  993,  989,  989,  989,
      989,  989,  989,  989,  989,  989,  993,  993,  993,  993,
      993,  993,  993,  993,  993,  989,  989,  989,  989,  989,
      989,  989,  989,  989,  993,  989,  989,  989,  993,  993,

      993,  993,  993,  993,  993,  993,  993,  993,  989,  989,
      989,  989,  989,  989,  989,  989,  989,  989,  989,  989,
      989,  989,  989,  993,  993,  993,  993,  993,  993,  993,
      993,  993,  993,  993,  993,  993,  993,  989,  993,  993,
      993,  993,  993,  993,  993,  989,  989,  989,  989,  989,
      989,  989,  989,  989,  993,  993,  989,  989,  989,  989,
      989,  989,  989,  989,  989,  989,  993,  989,  989,  989,
      989,  989,  989,  989,  989,  989,  989,  993,  993,  993,
      993,  993,  993,  993,  993,  993,  993,  993,  993,  993,
      993,  993,  993,  993,  993,  993,  993,  993,  993,  993,

      993,  993,  993,  993,  993,  989,  989,  989,  989,  989,
      989,  989,  989,  989,  993,  989,  989,  989,  989,  989,
      989,  989,  989,  989,  993,  993,  993,  993,  993,  993,
      993,  993,  993,  993,  993,  993,  993,  993,  993,  993,
      993,  993,  993,  989,  989,  989,  993,  989,  989,  989,
      989,  989,  989,  989,  989,  989,  989,  989,  989,  989,
      989,  989,  989,  989,  989,  993,  993,  993,  993,  993,
      993,  993,  993,  993,  993,  993,  993,  993,  993,  993,
      993,  989,  989,  989,  989,  989,  989,  989,  989,  989,
      993,  993,  993,  989,  989,  989,  993,  993,  993,  993,

      993,  993,  989,  989,  989,  993,  993,  993,  993,  993,
      989,  989,  989,  993,  993,  993,  993,  989,  989,  989,
      989,  993,  993,  993,  993,  993,  993,  993,  993,  989,
      989,  989,  989,  993,  993,  993,  989,  989,  989,  989,
      993,  993,  989,  993,  993,  993,  993,  993,  993,  993,
      993,  993,  993,  989,  989,  989,  989,  993,  993,  993,
      989,  989,  989,  989,  989,  989,  989,  989,  989,  993,
      993,  989,  993,  993,  993,  993,  989,  989,  989,  989,
      989,  989,  989,  989,  989,  989,  993,  993,  989,  989,
      989,  993,  993,  993,  993,  993,  993,  993,  989,  989,

      989,  993,  989,  989,  989,  993,  993,  989,  993,  993,
      989,  993,  989,  989,  989,  989,  993,  989,  989,  993,
      993,  993,  993,  989,  993,  989,  989,  989,  989,  989,
      989,  993,  993,  993,  993,  993,  993,  993,  993,  989,
      989,  989,  989,  993,  989,  989,  989,  993,  989,  989,
      989,  993,  989,  989,  993,  993,  993,  989,  989,  989,
      989,  989,  989,  989,  989,  989,  989,  989,  989,  989,
      989,  989,  989,  993,  989,  993,  993,  993,  993,  993,
      993,  989,  993,  993,  993,  993,  989,  989,  989,  989,
      989,  989,  989,  993,  989,  989,  989,  989,  989,  989,

      989,  993,  989,  989,  989,  993,  993,  989,  989,  989,
      993,  993,  993,  993,  989,  993,  989,  993,  989,  989,
      993,  993,  989,  989,  989,  989,  993,  989,  993,  993,
      993,  993,  993,  989,  993,  989,  989,  989,  989,  989,
      989,  989,  989,  993,  989,  989,  989,  989,  993,  989,
      989,  989,  993,  993,  993,  989,  993,  993,  989,  993,
      989,  989,  989,  993,  989,  989,  993,  993,  989,  989,
      989,  989,  989,  993,  993,  993,  993,  989,  989,  989,
      989,  989,  989,  989,  989,  989,  989,  989,  989,  989,
      989,  993,  989,  989,  989,  989,  989,  989,  989,  989,

      989,  989,  993,  989,  993,  993,  989,  989,  989,  989,
      993,  989,  989,  993,  993,  989,  989,  989,  993,  993,
      993,  989,  989,  989,  993,  989,  989,  989,  989,  989,
      989,  989,  989,  989,  989,  993,  989,  989,  989,  989,
      989,  989,  989,  989,  989,  993,  989,  993,  989,  989,
      989,  989,  989,  989,  989,  989,  989,  989,  989,  989,
      993,  989,  989,  993,  989,  989,  989,  993,  993,  989,
      989,  989,  989,  989,  989,  989,  989,  989,  989,  989,
      989,  989,  989,  989,  989,  989,  989,  989,  993,  989,
      989,  989,  989,  989,  989,  989,  989,  989,  989,  993,

      989,  989,  989,  989,  989,  989,  989,  989,  989,  989,
      989,  989,  993,  989,  989,  989,  989,  989,  993,  989,
      989,  989,  989,  989,  989,  989,  989,  989,  993,  989,
      989,  989,  989,  989,  993,  989,  989,  989,  989,  989,
      989,  989,  989,  989,  989,  989,  989,  989,  989,  989,
      989,  989,  989,  989,  989,  989,  989,  989,  989,  989,
      989,  989,  989,  989,  989,  989,  989,  989,  989,  989,
      989,  989,  989,  989,  989,  989,  989,  989,  989,  989,
      989,  989,  989,  989,  989,  989,  989,  989,    0,  989,
      989,  989,  989,  989,  989

    } ;

static const short int yy_nxt[2129] =
    {   0,
        6,    7,    8,    7,    9,   10,   11,   12,    6,    6,
        6,   13,   14,   15,   15,   15,   16,   17,   18,   19,
       20,   21,   22,   23,   24,   25,   26,   27,   28,   29,
       30,   31,   32,   33,   19,   34,   19,   35,   36,   37,
       38,   39,   40,   41,   42,   43,   44,   46,   46,   48,
       65,   48,   65,   47,   47,   55,   55,   55,   57,   65,
       58,   58,   58,   60,   61,   63,   64,   77,   65,   78,
       65,   59,   67,   76,   68,  101,  116,  102,  117,   66,
       87,  132,   88,   79,  213,   65,   80,  133,   69,  107,
       81,  103,  118,  108,  104,   83,   89,   65,   65,   65,

       82,   84,   70,   65,   71,  105,   85,   86,   72,  109,
       90,  106,   91,   65,   73,   74,   75,   48,   65,   48,
      119,  211,   92,   65,  189,   65,  988,  110,  165,  212,
      190,  111,  200,  112,  191,  127,   65,  113,  114,  115,
       93,   65,  123,  120,  121,  122,  124,   65,   94,  128,
       65,   95,   96,  134,   97,   65,  125,  135,  129,  130,
      131,   65,  126,   98,   99,  100,  170,  136,  171,  219,
      137,   65,  199,  198,  174,  178,  175,  179,  166,   65,
       65,  230,  172,  176,  180,   65,  368,  987,  138,  369,
      177,  181,  139,  173,  182,  140,  183,  324,  141,  225,

      142,  167,  168,  169,   55,   55,   55,  193,  193,  193,
      184,  143,  144,  145,   65,  192,   65,   57,  194,   58,
       58,   58,  195,  195,   65,  340,  196,  196,  196,   67,
       59,   67,   67,  146,   67,   65,  147,  224,  201,  148,
      202,   65,  227,  149,  150,   69,  151,  152,   69,   65,
      153,  154,  228,  155,  203,  197,  205,  208,  206,  209,
       77,  220,   77,  221,  243,  204,   77,  156,   77,   65,
      157,   65,  207,  210,  158,  223,   79,  222,  159,   65,
       65,  226,   79,   65,  160,   65,   87,  161,   87,  197,
       65,  804,  197,  162,  163,  164,   87,  214,   87,  215,

       65,   65,   89,  229,  216,  217,  218,  234,   65,  235,
      231,   65,   89,  232,  237,  248,  238,  233,  240,  197,
      241,  244,  101,  236,  101,  101,  247,  101,  245,   65,
      239,   65,  249,   65,  242,  258,  246,  259,  103,   65,
      250,  103,  261,  264,  262,  265,   65,  116,  197,  116,
      268,  260,  269,   65,  254,   65,   65,  277,  263,  266,
      116,  278,  116,  118,   65,  271,  270,  272,   65,  251,
      252,  253,   65,  255,  256,  257,  118,  274,  267,  275,
       65,  273,  282,  197,   65,  279,  286,  280,  287,  299,
      300,  281,  285,  276,  289,  292,  290,  293,   65,  283,

      284,  296,  288,  297,  295,  301,   65,   65,  302,   65,
      291,  294,   65,   65,  309,   65,  310,  298,  312,  303,
      313,   65,   65,  315,   65,  316,  305,   65,  306,  304,
      311,  318,  332,  319,  314,   65,   65,  307,  308,  317,
      321,   65,  322,  328,  335,  333,   65,  320,  336,  154,
      356,  154,  325,  326,  327,  154,  323,  154,  337,   65,
       65,  329,  330,  331,   65,  156,  339,   65,  346,  334,
      347,  156,  349,  352,  350,  353,  438,  341,  197,  355,
      357,  344,  358,  360,  348,  361,   65,  342,  351,  354,
      343,  363,  170,  364,  170,  170,  359,  170,  174,  362,

      174,  345,  385,  174,   65,  174,  367,  365,  172,  370,
       65,  172,  371,  178,  177,  178,   65,   65,  197,  177,
      178,  182,  178,  182,  189,  182,  197,  182,  378,  181,
      989,  201,  189,  201,  989,  399,  181,  184,  190,  390,
       65,  184,  191,  197,  379,  372,  372,  203,  197,  373,
      373,  373,  193,  193,  193,  375,  375,  380,   65,  376,
      376,  376,   65,  374,  196,  196,  196,  196,  196,  196,
      201,  205,  201,  205,  205,  208,  205,  208,  208,  381,
      208,   65,   65,   65,   65,   65,  203,  207,   65,   65,
      207,  210,   65,  197,  210,   65,  382,  197,  220,   65,

      220,  197,  389,  220,  386,  220,   65,  986,   65,  383,
       65,   65,  985,  384,  222,  234,   65,  234,   65,  222,
      387,   65,  430,  388,  391,   65,  197,  392,  395,  397,
      394,  236,  393,  234,  237,  234,  237,  237,  240,  237,
      240,  240,  396,  240,   65,  398,   65,   65,  402,  236,
      239,   65,   65,  239,  242,  405,  197,  242,   65,  400,
      197,  406,   65,  407,  197,  572,  401,  403,  409,  412,
      410,  413,  416,  419,  417,  420,   65,  408,  404,  422,
      258,  423,  258,  425,  411,  414,  415,  441,  418,  421,
      258,  261,  258,  261,   65,  424,  260,  426,  261,  264,

      261,  264,  264,  268,  264,  268,  260,  263,  268,   65,
      268,  984,   65,  197,  263,  266,   65,  427,  266,  270,
      271,  197,  271,   65,  270,  197,  271,  274,  271,  274,
      274,  197,  274,  429,   65,   65,  273,  653,  983,   65,
      654,  431,  273,  276,  433,   65,  276,  432,  286,  197,
      286,   65,  434,  197,  428,  286,  289,  286,  289,  289,
      292,  289,  292,  292,  288,  292,  435,  296,  296,  296,
      296,  288,  291,   65,   65,  291,  294,   65,  197,  294,
      439,   65,  197,  298,  298,  482,  197,  442,  982,   65,
      436,  197,  444,  483,  445,  440,   65,  309,  443,  309,

      309,  312,  309,  312,   65,  312,  437,  312,  446,  315,
      315,  315,  315,  311,   65,  467,  311,  314,  318,  477,
      318,  314,  318,  197,  318,  317,  317,  321,  197,  321,
      321,   65,  321,  197,  320,  448,  466,  449,  320,  451,
       65,  452,  447,  323,   65,  197,  323,  454,  457,  455,
      458,  450,  460,  197,  461,  453,  463,   65,  464,   65,
       65,   65,   65,  456,  459,   65,   65,  468,  462,  346,
       65,  346,  465,   65,  469,   65,  470,  346,   65,  346,
      473,  349,  475,  349,  981,  348,  478,  485,  474,  471,
      476,  472,  349,  348,  349,  486,  352,  351,  352,  522,

      197,  352,  481,  352,  479,   65,  493,  480,  351,  357,
      980,  357,  354,   65,  357,  197,  357,  354,  360,  360,
      360,  360,  491,   65,  197,  359,  979,  363,   65,  363,
      359,  363,  501,  363,  362,  362,   65,  197,  373,  373,
      373,   65,  197,  365,  373,  373,  373,  365,  376,  376,
      376,  488,  488,  497,  197,  489,  489,  489,  376,  376,
      376,  494,  498,  495,  492,   65,  503,   65,  504,   65,
       65,   65,   65,   65,   65,  502,   65,  496,  511,   65,
      512,   65,  505,   65,   65,   65,  515,   65,   65,   65,
      499,  507,  508,  516,  513,  514,  518,  406,  519,  406,

       65,  500,  523,  506,  517,  520,  509,  510,  406,  409,
      406,  409,  521,  408,  409,  528,  409,  526,  712,  524,
      525,  529,  541,   65,  408,  411,  412,  412,  412,  412,
      411,  197,  416,  416,  416,  416,  419,  197,  419,  419,
      527,  419,  414,  414,  422,  422,  422,  422,  418,  418,
      197,   65,  421,   65,   65,  421,  197,  530,   65,  531,
      424,  424,  197,  535,   65,  537,  532,  538,  197,   65,
       65,  543,   65,  533,  539,  536,   65,   65,   65,  534,
       65,  540,  444,   65,  444,   65,  542,  444,  978,  444,
       65,  546,  977,   65,   65,  550,  976,  545,  446,  544,

      551,   65,   65,  446,  548,  549,  553,  448,  547,  448,
      197,  448,  451,  448,  451,  451,  454,  451,  454,  454,
      552,  454,  570,  450,  457,  573,  457,  450,  453,  558,
      559,  453,  456,   65,  197,  456,  571,  457,  197,  457,
      459,  460,  197,  460,   65,  460,  463,  460,  463,  463,
      554,  463,  555,  459,  561,   65,  562,  462,  560,  556,
      197,  462,  465,   65,   65,  465,  557,  564,  197,  565,
      563,  567,  197,  568,  574,   65,  575,  489,  489,  489,
      489,  489,  489,  566,  584,   65,  585,  569,  576,  494,
      494,  494,  494,  589,   65,  590,   65,   65,  587,  503,

      586,  503,  503,   65,  503,  496,  496,   65,   65,  591,
      588,   65,   65,  197,  511,  505,  511,   65,  505,  511,
      592,  511,  595,   65,  598,  197,  975,  599,  593,  600,
      513,   65,  594,  596,  603,  513,  604,  597,  518,  606,
      518,   65,  197,  601,  518,   65,  518,  613,  607,  614,
      605,  610,  611,  609,  521,   65,  530,   65,  530,  612,
      521,   65,  616,  615,  602,  617,  530,  197,  530,  537,
       65,  537,  533,  626,   65,   65,  627,  537,  629,  537,
      630,  623,  533,   65,  628,  540,   65,  618,   65,  197,
       65,   65,  974,  540,  631,  625,   65,  620,  621,  622,

      197,  640,  632,  641,   65,  633,  554,   65,  554,  636,
      554,  635,  554,  639,  645,   65,  646,  642,  634,  637,
      638,  561,  557,  561,  652,  561,  557,  561,   65,  564,
      647,  564,   65,  197,  648,   65,   65,  563,  644,   65,
      564,  563,  564,   65,  567,  566,  567,  973,  197,  567,
      649,  567,  650,  655,  679,  658,  566,  659,   65,  661,
      569,  661,  663,  197,  663,  569,  651,  656,  674,  711,
      657,  660,  197,   65,  665,  662,  665,  667,  664,  667,
      669,  671,  669,  671,  584,  584,  584,  584,   65,  589,
      666,  589,   65,  668,  676,   65,  670,  672,  678,   65,

      586,  586,  589,   65,  589,  591,   65,   65,  197,  677,
      599,  599,  599,  599,  603,  972,  603,   65,  591,  680,
      603,  688,  603,  689,   65,  197,  601,  601,  691,  713,
      605,  681,  694,  613,  197,  613,  605,  690,  692,  683,
      684,  685,  693,  197,  686,  613,  696,  613,  697,  615,
       65,   65,  727,  629,  629,  629,  629,  708,   65,  709,
      714,  615,  698,  640,  640,  640,  640,  702,  197,  631,
      631,   65,  706,  710,  645,   65,  645,  197,  707,  642,
      642,  645,  717,  645,  649,   65,  649,  197,  716,  649,
      647,  649,   65,   65,  723,  197,  724,  647,  971,   65,

      651,  658,  736,  658,  197,  651,  661,  658,  661,  658,
      725,   65,  197,  721,   65,  718,  663,  660,  663,  665,
      729,  665,  662,  660,  667,  669,  667,  669,   65,  722,
      197,  671,  664,  671,  728,  666,  197,   65,   65,  730,
      668,  670,  731,   65,  737,  734,  738,  672,  688,   65,
      688,   65,  688,  696,  688,  696,  696,   65,  696,   65,
      739,   65,   65,   65,  690,  732,   65,  733,  690,  698,
      970,   65,  698,  735,  744,  197,  754,  749,  708,  197,
      708,  708,  755,  708,   65,  753,   65,  757,  758,  761,
      760,  723,   65,  723,  710,   65,  767,  710,   65,  762,

      763,   65,   65,  764,  197,  768,  723,  725,  723,  770,
      778,  771,  779,   65,  803,   65,  774,  784,  737,  785,
      737,  781,  725,  806,   65,  772,  780,   65,  775,  197,
      782,  776,  783,  786,  739,  737,  805,  737,  777,  797,
       65,  798,   65,  792,  770,  811,  770,   65,  770,   65,
      770,  739,   65,  969,  822,  799,  823,  815,  197,  778,
      772,  778,   65,  814,  772,  778,   65,  778,  820,  968,
      824,  197,   65,  825,  784,  780,  784,  784,  819,  784,
      967,  780,  817,  821,  836,  830,  864,  830,  197,  832,
      786,  832,  840,  786,  840,  797,  797,  797,  797,  846,

      197,  831,  848,   65,  849,  833,  849,  854,  841,  855,
      860,  799,  799,  858,   65,  858,  865,   65,  866,  197,
      850,  966,  822,  856,  822,  822,  830,  822,  830,  859,
      842,  832,  867,  832,  874,   65,  874,  869,  824,  861,
       65,  824,  831,  877,  880,  878,  880,  833,  197,  882,
      875,  882,  840,  868,  840,  885,  891,  885,  892,  879,
      881,   65,  849,  889,  849,  883,  965,  854,  841,  854,
      900,  886,  893,  854,  897,  854,  897,  858,  850,  858,
      964,  935,  865,  856,  865,  865,  874,  865,  874,  856,
      898,   65,  197,  859,  961,  907,  197,  907,  867,  922,

       65,  867,  875,  877,  877,  877,  877,  880,  197,  880,
      882,  908,  882,  885,  910,  885,  910,  913,   65,  879,
      879,  960,  891,  881,  891,  929,  883,  197,  959,  886,
      911,  891,  897,  891,  897,  907,  958,  907,  893,  919,
      910,  927,  910,  927,  939,  957,  939,  893,  898,  956,
      941,  908,  941,  927,  197,  927,  911,  928,  955,  939,
      940,  939,  941,  962,  941,  962,  942,  954,  962,  928,
      962,  953,  952,  951,  950,  940,   65,  949,  942,  963,
      948,  947,  946,  945,  963,   45,   45,   45,   50,   50,
       50,   52,   52,   52,  186,  186,  188,  188,  188,   65,

      944,  943,  938,  937,  936,  934,  933,  932,  931,  930,
      926,  925,  924,  923,  921,  920,  918,  917,  916,  915,
      914,  912,  909,  906,  905,  904,  903,   65,   65,  902,
      901,  899,  896,  895,  894,  890,  888,  887,  884,  876,
      873,  872,  871,  870,   65,  863,  862,  857,  853,  852,
      851,   65,  847,  845,  844,  843,  839,  838,  837,  835,
      834,  829,  828,  827,  826,  818,  816,  813,  812,  810,
      809,  808,   65,  807,   65,   65,  802,  801,  800,  796,
      795,  794,  793,  791,  790,  789,  788,  787,  773,  769,
      766,  765,  759,  756,  752,  751,  750,  748,  747,  746,

      745,  743,  742,  741,  740,   65,   65,   65,  726,  720,
      719,  715,   65,  705,  704,  703,  701,   65,   65,   65,
       65,  700,  699,  695,   65,  687,   65,  682,  675,  673,
      643,   65,  624,   65,  619,   65,  608,   65,   65,   65,
      583,  582,  581,  580,  579,  578,  577,   65,   65,   65,
       65,   65,  490,  487,  484,   65,   65,   65,   65,   65,
       65,   65,  377,  187,  366,  338,   65,  197,   53,   51,
      187,  185,   65,   62,   56,   54,   53,   51,   49,  989,
        5,  989,  989,  989,  989,  989,  989,  989,  989,  989,
      989,  989,  989,  989,  989,  989,  989,  989,  989,  989,

      989,  989,  989,  989,  989,  989,  989,  989,  989,  989,
      989,  989,  989,  989,  989,  989,  989,  989,  989,  989,
      989,  989,  989,  989,  989,  989,  989,  989
    } ;

static const short int yy_chk[2129] =
    {   0,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    3,    4,    7,
       33,    7,   21,    3,    4,   13,   13,   13,   15,   81,
       15,   15,   15,   16,   16,   18,   18,   22,   27,   22,
       23,   15,   20,   21,   20,   26,   29,   26,   29,  993,
       24,   33,   24,   22,   81,   76,   22,   33,   20,   27,
       22,   26,   29,   27,   26,   23,   24,   28,   38,   80,

       22,   23,   20,   30,   20,   26,   23,   23,   20,   27,
       24,   26,   24,   72,   20,   20,   20,   48,   32,   48,
       30,   76,   24,   25,   47,   31,  984,   28,   38,   80,
       47,   28,   72,   28,   47,   32,   34,   28,   28,   28,
       25,   70,   31,   30,   30,   30,   31,   84,   25,   32,
       95,   25,   25,   34,   25,   71,   31,   34,   32,   32,
       32,   39,   31,   25,   25,   25,   40,   34,   40,   84,
       34,   35,   71,   70,   41,   42,   41,   42,   39,   91,
      146,   95,   40,   41,   42,  158,  176,  982,   35,  176,
       41,   42,   35,   40,   43,   35,   43,  146,   35,   91,

       35,   39,   39,   39,   55,   55,   55,   57,   57,   57,
       43,   35,   35,   35,   36,   55,   90,   58,   57,   58,
       58,   58,   59,   59,   93,  158,   59,   59,   59,   67,
       58,   67,   68,   36,   68,  104,   36,   90,   73,   36,
       73,   86,   93,   36,   36,   67,   36,   36,   68,   92,
       36,   37,   93,   37,   73,   68,   74,   75,   74,   75,
       77,   85,   77,   85,  104,   73,   78,   37,   78,   82,
       37,   83,   74,   75,   37,   86,   77,   85,   37,   96,
       94,   92,   78,   97,   37,  108,   87,   37,   87,   78,
      105,  756,  756,   37,   37,   37,   88,   82,   88,   82,

      109,  107,   87,   94,   82,   83,   83,   98,  110,   98,
       96,  106,   88,   97,   99,  108,   99,   97,  100,   88,
      100,  105,  101,   98,  101,  102,  107,  102,  106,  111,
       99,  124,  109,  112,  100,  113,  106,  113,  101,  123,
      110,  102,  114,  115,  114,  115,  119,  116,  102,  116,
      120,  113,  120,  126,  112,  134,  135,  123,  114,  115,
      117,  124,  117,  116,  127,  121,  120,  121,  125,  111,
      111,  111,  128,  112,  112,  112,  117,  122,  119,  122,
      136,  121,  126,  117,  132,  125,  129,  125,  129,  134,
      135,  125,  128,  122,  130,  131,  130,  131,  137,  127,

      127,  133,  129,  133,  132,  136,  138,  140,  136,  139,
      130,  131,  147,  148,  141,  150,  141,  133,  142,  136,
      142,  149,  166,  143,  151,  143,  138,  153,  139,  137,
      141,  144,  150,  144,  142,  152,  157,  139,  140,  143,
      145,  159,  145,  148,  153,  151,  301,  144,  153,  154,
      166,  154,  147,  147,  147,  155,  145,  155,  153,  160,
      165,  149,  149,  149,  161,  154,  157,  215,  162,  152,
      162,  155,  163,  164,  163,  164,  301,  159,  155,  165,
      167,  161,  167,  168,  162,  168,  173,  160,  163,  164,
      160,  169,  170,  169,  170,  171,  167,  171,  174,  168,

      174,  161,  215,  175,  198,  175,  173,  169,  170,  180,
      224,  171,  180,  178,  174,  178,  199,  244,  171,  175,
      179,  182,  179,  182,  188,  183,  175,  183,  198,  178,
      188,  201,  190,  201,  188,  244,  179,  182,  190,  224,
      204,  183,  190,  179,  199,  192,  192,  201,  183,  192,
      192,  192,  193,  193,  193,  194,  194,  204,  212,  194,
      194,  194,  211,  193,  195,  195,  195,  196,  196,  196,
      202,  205,  202,  205,  206,  208,  206,  208,  209,  211,
      209,  213,  214,  217,  218,  223,  202,  205,  219,  227,
      206,  208,  228,  202,  209,  229,  212,  206,  220,  230,

      220,  209,  223,  221,  217,  221,  232,  980,  231,  213,
      233,  281,  979,  214,  220,  234,  243,  234,  250,  221,
      218,  245,  281,  219,  227,  247,  221,  228,  231,  233,
      230,  234,  229,  235,  237,  235,  237,  238,  240,  238,
      240,  241,  232,  241,  248,  243,  246,  249,  247,  235,
      237,  267,  254,  238,  240,  250,  235,  241,  476,  245,
      238,  251,  305,  251,  241,  476,  246,  248,  252,  253,
      252,  253,  255,  256,  255,  256,  277,  251,  249,  257,
      258,  257,  258,  267,  252,  253,  254,  305,  255,  256,
      259,  261,  259,  261,  278,  257,  258,  277,  262,  264,

      262,  264,  265,  268,  265,  268,  259,  261,  269,  282,
      269,  978,  283,  259,  262,  264,  280,  278,  265,  268,
      271,  262,  271,  284,  269,  265,  272,  274,  272,  274,
      275,  269,  275,  280,  279,  285,  271,  572,  977,  302,
      572,  282,  272,  274,  284,  295,  275,  283,  286,  272,
      286,  306,  285,  275,  279,  287,  289,  287,  289,  290,
      292,  290,  292,  293,  286,  293,  295,  296,  297,  296,
      297,  287,  289,  299,  300,  290,  292,  304,  287,  293,
      302,  307,  290,  296,  297,  368,  293,  306,  975,  344,
      299,  297,  308,  368,  308,  304,  333,  309,  307,  309,

      310,  312,  310,  312,  332,  313,  300,  313,  308,  315,
      316,  315,  316,  309,  324,  333,  310,  312,  318,  344,
      318,  313,  319,  310,  319,  315,  316,  321,  313,  321,
      322,  334,  322,  316,  318,  325,  332,  325,  319,  326,
      335,  326,  324,  321,  340,  319,  322,  327,  329,  327,
      329,  325,  330,  322,  330,  326,  331,  336,  331,  337,
      341,  342,  343,  327,  329,  345,  367,  334,  330,  346,
      356,  346,  331,  355,  335,  402,  335,  347,  380,  347,
      340,  349,  342,  349,  974,  346,  345,  370,  341,  336,
      343,  337,  350,  347,  350,  370,  352,  349,  352,  402,

      347,  353,  367,  353,  355,  378,  380,  356,  350,  357,
      973,  357,  352,  386,  358,  350,  358,  353,  360,  361,
      360,  361,  378,  379,  353,  357,  972,  363,  384,  363,
      358,  364,  386,  364,  360,  361,  382,  358,  372,  372,
      372,  387,  361,  363,  373,  373,  373,  364,  375,  375,
      375,  374,  374,  382,  364,  374,  374,  374,  376,  376,
      376,  381,  384,  381,  379,  385,  388,  389,  388,  398,
      390,  392,  393,  394,  397,  387,  399,  381,  396,  400,
      396,  403,  388,  404,  405,  427,  398,  426,  433,  636,
      385,  390,  392,  399,  396,  397,  401,  406,  401,  406,

      415,  385,  403,  389,  400,  401,  393,  394,  407,  409,
      407,  409,  401,  406,  410,  426,  410,  415,  636,  404,
      405,  427,  433,  425,  407,  409,  412,  413,  412,  413,
      410,  407,  416,  417,  416,  417,  419,  410,  419,  420,
      425,  420,  412,  413,  422,  423,  422,  423,  416,  417,
      413,  429,  419,  430,  431,  420,  417,  428,  434,  428,
      422,  423,  420,  430,  435,  432,  428,  432,  423,  436,
      437,  435,  438,  428,  432,  431,  439,  440,  441,  429,
      443,  432,  444,  442,  444,  447,  434,  445,  970,  445,
      477,  437,  969,  467,  469,  441,  968,  436,  444,  435,

      442,  474,  475,  445,  439,  440,  447,  448,  438,  448,
      445,  449,  451,  449,  451,  452,  454,  452,  454,  455,
      443,  455,  474,  448,  457,  477,  457,  449,  451,  467,
      469,  452,  454,  470,  449,  455,  475,  458,  452,  458,
      457,  460,  455,  460,  479,  461,  463,  461,  463,  464,
      466,  464,  466,  458,  471,  480,  471,  460,  470,  466,
      458,  461,  463,  492,  481,  464,  466,  472,  461,  472,
      471,  473,  464,  473,  479,  497,  480,  488,  488,  488,
      489,  489,  489,  472,  491,  499,  491,  473,  481,  494,
      495,  494,  495,  498,  500,  498,  501,  502,  492,  503,

      491,  503,  504,  509,  504,  494,  495,  507,  506,  498,
      497,  516,  517,  495,  511,  503,  511,  522,  504,  512,
      499,  512,  502,  526,  509,  504,  967,  514,  500,  514,
      511,  523,  501,  506,  515,  512,  515,  507,  518,  516,
      518,  529,  512,  514,  519,  525,  519,  527,  517,  527,
      515,  523,  525,  522,  518,  528,  530,  534,  530,  526,
      519,  536,  528,  527,  514,  529,  531,  519,  531,  537,
      541,  537,  530,  543,  545,  546,  543,  538,  544,  538,
      544,  536,  531,  547,  543,  537,  548,  531,  549,  531,
      551,  550,  966,  538,  544,  541,  552,  534,  534,  534,

      538,  553,  545,  553,  558,  546,  554,  571,  554,  549,
      555,  548,  555,  552,  559,  560,  559,  553,  547,  550,
      551,  561,  554,  561,  571,  562,  555,  562,  573,  564,
      559,  564,  574,  555,  560,  575,  595,  561,  558,  635,
      565,  562,  565,  587,  567,  564,  567,  965,  562,  568,
      570,  568,  570,  573,  595,  576,  565,  576,  592,  577,
      567,  577,  578,  565,  578,  568,  570,  574,  587,  635,
      575,  576,  568,  594,  579,  577,  579,  580,  578,  580,
      581,  582,  581,  582,  584,  585,  584,  585,  596,  589,
      579,  589,  593,  580,  592,  597,  581,  582,  594,  606,

      584,  585,  590,  607,  590,  589,  638,  612,  585,  593,
      599,  600,  599,  600,  603,  964,  603,  674,  590,  596,
      604,  609,  604,  609,  639,  590,  599,  600,  611,  638,
      603,  597,  612,  613,  600,  613,  604,  609,  611,  606,
      606,  606,  611,  604,  607,  614,  617,  614,  617,  613,
      625,  632,  674,  629,  630,  629,  630,  634,  633,  634,
      639,  614,  617,  640,  641,  640,  641,  625,  614,  629,
      630,  644,  632,  634,  645,  648,  645,  630,  633,  640,
      641,  646,  648,  646,  649,  652,  649,  641,  644,  650,
      645,  650,  655,  656,  657,  682,  657,  646,  961,  676,

      649,  658,  682,  658,  646,  650,  661,  659,  661,  659,
      657,  678,  650,  655,  677,  652,  663,  658,  663,  665,
      676,  665,  661,  659,  667,  669,  667,  669,  679,  656,
      659,  671,  663,  671,  675,  665,  675,  680,  681,  677,
      667,  669,  678,  694,  686,  681,  686,  671,  688,  702,
      688,  707,  689,  696,  689,  696,  697,  706,  697,  713,
      686,  711,  716,  714,  688,  679,  721,  680,  689,  696,
      960,  722,  697,  681,  694,  689,  707,  702,  708,  697,
      708,  709,  711,  709,  718,  706,  729,  713,  714,  717,
      716,  723,  758,  723,  708,  754,  721,  709,  730,  717,

      717,  731,  732,  718,  709,  722,  724,  723,  724,  727,
      733,  727,  733,  744,  754,  757,  729,  735,  737,  735,
      737,  734,  724,  758,  764,  727,  733,  767,  730,  724,
      734,  731,  734,  735,  737,  738,  757,  738,  732,  749,
      768,  749,  774,  744,  770,  764,  770,  775,  771,  792,
      771,  738,  777,  959,  776,  749,  776,  768,  738,  778,
      770,  778,  803,  767,  771,  779,  820,  779,  775,  958,
      776,  771,  806,  777,  784,  778,  784,  785,  774,  785,
      957,  779,  771,  775,  792,  788,  820,  788,  779,  789,
      784,  789,  796,  785,  796,  797,  798,  797,  798,  803,

      785,  788,  806,  814,  807,  789,  807,  811,  796,  811,
      814,  797,  798,  813,  815,  813,  821,  825,  821,  798,
      807,  956,  822,  811,  822,  823,  830,  823,  830,  813,
      798,  832,  821,  832,  834,  846,  834,  825,  822,  815,
      861,  823,  830,  836,  837,  836,  837,  832,  823,  839,
      834,  839,  840,  821,  840,  843,  848,  843,  848,  836,
      837,  919,  849,  846,  849,  839,  955,  854,  840,  854,
      861,  843,  848,  855,  857,  855,  857,  858,  849,  858,
      954,  919,  865,  854,  865,  866,  874,  866,  874,  855,
      857,  913,  903,  858,  952,  876,  855,  876,  865,  903,

      889,  866,  874,  877,  878,  877,  878,  880,  866,  880,
      882,  876,  882,  885,  887,  885,  887,  889,  900,  877,
      878,  951,  891,  880,  891,  913,  882,  878,  950,  885,
      887,  892,  897,  892,  897,  907,  949,  907,  891,  900,
      910,  912,  910,  912,  923,  947,  923,  892,  897,  946,
      924,  907,  924,  927,  892,  927,  910,  912,  945,  939,
      923,  939,  941,  953,  941,  953,  924,  944,  962,  927,
      962,  943,  938,  937,  936,  939,  935,  934,  941,  953,
      933,  932,  931,  930,  962,  990,  990,  990,  991,  991,
      991,  992,  992,  992,  994,  994,  995,  995,  995,  929,

      926,  925,  922,  921,  920,  918,  917,  916,  915,  914,
      909,  906,  905,  904,  902,  901,  899,  896,  895,  894,
      890,  888,  884,  872,  871,  870,  869,  868,  864,  863,
      862,  860,  853,  852,  851,  847,  845,  844,  842,  835,
      829,  828,  827,  826,  819,  818,  817,  812,  810,  809,
      808,  805,  804,  802,  801,  800,  795,  794,  793,  791,
      790,  787,  783,  782,  781,  773,  769,  766,  765,  763,
      762,  761,  760,  759,  755,  753,  752,  751,  750,  748,
      747,  746,  745,  743,  742,  741,  740,  736,  728,  726,
      720,  719,  715,  712,  705,  704,  703,  701,  700,  699,

      695,  693,  692,  691,  687,  685,  684,  683,  673,  654,
      653,  643,  637,  628,  627,  626,  624,  623,  622,  621,
      620,  619,  618,  616,  610,  608,  602,  598,  588,  583,
      556,  542,  539,  535,  532,  524,  520,  510,  508,  493,
      490,  487,  486,  485,  484,  483,  482,  478,  468,  395,
      391,  383,  377,  371,  369,  339,  328,  303,  226,  225,
      216,  200,  197,  186,  172,  156,   66,   65,   52,   50,
       45,   44,   19,   17,   14,   12,   11,   10,    9,    5,
      989,  989,  989,  989,  989,  989,  989,  989,  989,  989,
      989,  989,  989,  989,  989,  989,  989,  989,  989,  989,

      989,  989,  989,  989,  989,  989,  989,  989,  989,  989,
      989,  989,  989,  989,  989,  989,  989,  989,  989,  989,
      989,  989,  989,  989,  989,  989,  989,  989
    } ;

static yy_state_type yy_last_accepting_state;
static YY_CHAR *yy_last_accepting_cpos;

static yy_state_type yy_state_buf[YY_BUF_SIZE + 2], *yy_state_ptr;
static YY_CHAR *yy_full_match;
static int yy_lp;
static int yy_looking_for_trail_begin = 0;
static int yy_full_lp;
static int *yy_full_state;
#define YY_TRAILING_MASK 0x2000
#define YY_TRAILING_HEAD_MASK 0x4000
#define REJECT \
{ \
*yy_cp = yy_hold_char; /* undo effects of setting up yytext */ \
yy_cp = yy_full_match; /* restore poss. backed-over text */ \
yy_lp = yy_full_lp; /* restore orig. accepting pos. */ \
yy_state_ptr = yy_full_state; /* restore orig. state */ \
yy_current_state = *yy_state_ptr; /* restore curr. state */ \
++yy_lp; \
goto find_rule; \
}
#define yymore() yymore_used_but_not_detected
#define YY_MORE_ADJ 0

/* these variables are all declared out here so that section 3 code can
 * manipulate them
 */
/* points to current character in buffer */
static YY_CHAR *yy_c_buf_p = (YY_CHAR *) 0;
static int yy_init = 1;		/* whether we need to initialize */
static int yy_start = 0;	/* start state number */

/* flag which is used to allow yywrap()'s to do buffer switches
 * instead of setting up a fresh yyin.  A bit of a hack ...
 */
static int yy_did_buffer_switch_on_eof;

static yy_state_type yy_get_previous_state YY_PROTO(( void ));
static yy_state_type yy_try_NUL_trans YY_PROTO(( yy_state_type current_state ));
static int yy_get_next_buffer YY_PROTO(( void ));
static void yyunput YY_PROTO(( YY_CHAR c, YY_CHAR *buf_ptr ));
void yyrestart YY_PROTO(( FILE *input_file ));
void yy_switch_to_buffer YY_PROTO(( YY_BUFFER_STATE new_buffer ));
void yy_load_buffer_state YY_PROTO(( void ));
YY_BUFFER_STATE yy_create_buffer YY_PROTO(( FILE *file, int size ));
void yy_delete_buffer YY_PROTO(( YY_BUFFER_STATE b ));
void yy_init_buffer YY_PROTO(( YY_BUFFER_STATE b, FILE *file ));

#define yy_new_buffer yy_create_buffer

#ifdef __cplusplus
static int yyinput YY_PROTO(( void ));
#else
static int input YY_PROTO(( void ));
#endif

YY_DECL
    {
    register yy_state_type yy_current_state;
    register YY_CHAR *yy_cp, *yy_bp;
    register int yy_act;





    if ( yy_init )
	{
	YY_USER_INIT;

	if ( ! yy_start )
	    yy_start = 1;	/* first start state */

	if ( ! yyin )
	    yyin = stdin;

	if ( ! yyout )
	    yyout = stdout;

	if ( yy_current_buffer )
	    yy_init_buffer( yy_current_buffer, yyin );
	else
	    yy_current_buffer = yy_create_buffer( yyin, YY_BUF_SIZE );

	yy_load_buffer_state();

	yy_init = 0;
	}

    while ( 1 )		/* loops until end-of-file is reached */
	{
	yy_cp = yy_c_buf_p;

	/* support of yytext */
	*yy_cp = yy_hold_char;

	/* yy_bp points to the position in yy_ch_buf of the start of the
	 * current run.
	 */
	yy_bp = yy_cp;

	yy_current_state = yy_start;
	yy_state_ptr = yy_state_buf;
	*yy_state_ptr++ = yy_current_state;
yy_match:
	do
	    {
	    register YY_CHAR yy_c = yy_ec[*yy_cp];
	    while ( yy_chk[yy_base[yy_current_state] + yy_c] != yy_current_state )
		{
		yy_current_state = yy_def[yy_current_state];
		if ( yy_current_state >= 990 )
		    yy_c = yy_meta[yy_c];
		}
	    yy_current_state = yy_nxt[yy_base[yy_current_state] + yy_c];
	    *yy_state_ptr++ = yy_current_state;
	    ++yy_cp;
	    }
	while ( yy_current_state != 989 );

yy_find_action:
	yy_current_state = *--yy_state_ptr;
	yy_lp = yy_accept[yy_current_state];
find_rule: /* we branch to this label when backtracking */
	for ( ; ; ) /* until we find what rule we matched */
	    {
	    if ( yy_lp && yy_lp < yy_accept[yy_current_state + 1] )
		{
		yy_act = yy_acclist[yy_lp];
		if ( yy_act & YY_TRAILING_HEAD_MASK ||
		     yy_looking_for_trail_begin )
		    {
		    if ( yy_act == yy_looking_for_trail_begin )
			{
			yy_looking_for_trail_begin = 0;
			yy_act &= ~YY_TRAILING_HEAD_MASK;
			break;
			}
		    }
		else if ( yy_act & YY_TRAILING_MASK )
		    {
		    yy_looking_for_trail_begin = yy_act & ~YY_TRAILING_MASK;
		    yy_looking_for_trail_begin |= YY_TRAILING_HEAD_MASK;
		    }
		else
		    {
		    yy_full_match = yy_cp;
		    yy_full_state = yy_state_ptr;
		    yy_full_lp = yy_lp;
		    break;
		    }
		++yy_lp;
		goto find_rule;
		}
	    --yy_cp;
	    yy_current_state = *--yy_state_ptr;
	    yy_lp = yy_accept[yy_current_state];
	    }

	YY_DO_BEFORE_ACTION;
	YY_USER_ACTION;

do_action:	/* this label is used only to access EOF actions */


	switch ( yy_act )
	    {

/* Section headings */

case 1:
# line 83 "lexer.l"
{return PROBLEM;}
	YY_BREAK
case 2:
# line 84 "lexer.l"
{return NODES;}
	YY_BREAK
case 3:
# line 85 "lexer.l"
{yylval.s = strdup (yytext); return ELEMENTS;}
	YY_BREAK
case 4:
# line 86 "lexer.l"
{return MATERIALS;}
	YY_BREAK
case 5:
# line 87 "lexer.l"
{return LOADS;}
	YY_BREAK
case 6:
# line 88 "lexer.l"
{return FORCES;}
	YY_BREAK
case 7:
# line 89 "lexer.l"
{return CONSTRAINTS;} 
	YY_BREAK
case 8:
# line 90 "lexer.l"
{return ANALYSIS;}
	YY_BREAK
case 9:
# line 91 "lexer.l"
{return LOAD_CASES;}
	YY_BREAK
case 10:
# line 92 "lexer.l"
{return END;}
	YY_BREAK

/* Reserved words (in expression or right hand side of assignment) */

case 11:
# line 99 "lexer.l"
{return TIME;}
	YY_BREAK
case 12:
*yy_cp = yy_hold_char; /* undo effects of setting up yytext */
yy_c_buf_p = yy_cp = yy_bp + 1;
YY_DO_BEFORE_ACTION; /* set up yytext again */
# line 100 "lexer.l"
{return TIME;}
	YY_BREAK
case 13:
# line 101 "lexer.l"
{return TIME;}
	YY_BREAK
case 14:
*yy_cp = yy_hold_char; /* undo effects of setting up yytext */
yy_c_buf_p = yy_cp = yy_bp + 1;
YY_DO_BEFORE_ACTION; /* set up yytext again */
# line 102 "lexer.l"
{return TIME;}
	YY_BREAK
case 15:
# line 103 "lexer.l"
{return SIN;}
	YY_BREAK
case 16:
# line 104 "lexer.l"
{return COS;}
	YY_BREAK
case 17:
# line 105 "lexer.l"
{return TAN;}
	YY_BREAK
case 18:
# line 106 "lexer.l"
{return POW;}
	YY_BREAK
case 19:
# line 107 "lexer.l"
{return EXP;}
	YY_BREAK
case 20:
# line 108 "lexer.l"
{return LOG;}
	YY_BREAK
case 21:
# line 109 "lexer.l"
{return LOG10;}
	YY_BREAK
case 22:
# line 110 "lexer.l"
{return SQRT;}
	YY_BREAK
case 23:
# line 111 "lexer.l"
{return HYPOT;}
	YY_BREAK
case 24:
# line 112 "lexer.l"
{return FLOOR;}
	YY_BREAK
case 25:
# line 113 "lexer.l"
{return CEIL;}
	YY_BREAK
case 26:
# line 114 "lexer.l"
{return FMOD;}
	YY_BREAK
case 27:
# line 115 "lexer.l"
{return FABS;}
	YY_BREAK
case 28:
# line 116 "lexer.l"
{yylval.i = Static; return ANALYSIS_TYPE;}
	YY_BREAK
case 29:
# line 117 "lexer.l"
{yylval.i = Transient; return ANALYSIS_TYPE;}
	YY_BREAK
case 30:
# line 118 "lexer.l"
{yylval.i = Modal; return ANALYSIS_TYPE;}
	YY_BREAK
case 31:
# line 119 "lexer.l"
{yylval.i = StaticThermal; return ANALYSIS_TYPE;}
	YY_BREAK
case 32:
# line 120 "lexer.l"
{yylval.i = TransientThermal; return ANALYSIS_TYPE;}
	YY_BREAK
case 33:
# line 121 "lexer.l"
{yylval.i = StaticSubstitution; return ANALYSIS_TYPE;}
	YY_BREAK
case 34:
# line 122 "lexer.l"
{yylval.i = StaticSubstitution; return ANALYSIS_TYPE;}
	YY_BREAK
case 35:
# line 123 "lexer.l"
{yylval.i = Spectral; return ANALYSIS_TYPE;}
	YY_BREAK
case 36:
# line 124 "lexer.l"
{yylval.i = LocalX; return DIRECTION;}
	YY_BREAK
case 37:
# line 125 "lexer.l"
{yylval.i = LocalY; return DIRECTION;}
	YY_BREAK
case 38:
# line 126 "lexer.l"
{yylval.i = LocalZ; return DIRECTION;}
	YY_BREAK
case 39:
# line 127 "lexer.l"
{yylval.i = GlobalX; return DIRECTION;}
	YY_BREAK
case 40:
# line 128 "lexer.l"
{yylval.i = GlobalY; return DIRECTION;}
	YY_BREAK
case 41:
# line 129 "lexer.l"
{yylval.i = GlobalZ; return DIRECTION;}
	YY_BREAK
case 42:
# line 130 "lexer.l"
{yylval.i = Parallel; return DIRECTION;}
	YY_BREAK
case 43:
# line 131 "lexer.l"
{yylval.i = Perpendicular; return DIRECTION;}
	YY_BREAK
case 44:
# line 132 "lexer.l"
{yylval.i = Axial; return DIRECTION;}
	YY_BREAK
case 45:
# line 133 "lexer.l"
{yylval.i = Radial; return DIRECTION;}
	YY_BREAK
case 46:
# line 134 "lexer.l"
{yylval.i = 0; return CONSTRAINT;}
	YY_BREAK
case 47:
# line 135 "lexer.l"
{yylval.i = 1; return CONSTRAINT;}
	YY_BREAK
case 48:
# line 136 "lexer.l"
{yylval.i = 'h'; return HINGED;}
	YY_BREAK
case 49:
# line 137 "lexer.l"
{yylval.i = 'l'; return MASS_MODE;}
	YY_BREAK
case 50:
# line 138 "lexer.l"
{yylval.i = 'c'; return MASS_MODE;}
	YY_BREAK
case 51:
# line 139 "lexer.l"
{yylval.i = Tx; return NODE_DOF;}
	YY_BREAK
case 52:
# line 140 "lexer.l"
{yylval.i = Ty; return NODE_DOF;}
	YY_BREAK
case 53:
# line 141 "lexer.l"
{yylval.i = Tz; return NODE_DOF;}
	YY_BREAK
case 54:
# line 142 "lexer.l"
{yylval.i = Rx; return NODE_DOF;}
	YY_BREAK
case 55:
# line 143 "lexer.l"
{yylval.i = Ry; return NODE_DOF;}
	YY_BREAK
case 56:
# line 144 "lexer.l"
{yylval.i = Rz; return NODE_DOF;}
	YY_BREAK

/* Assignments */

case 57:
# line 151 "lexer.l"
{return TITLE_EQ;}
	YY_BREAK
case 58:
# line 152 "lexer.l"
{return NODES_EQ;}
	YY_BREAK
case 59:
# line 153 "lexer.l"
{return ELEMENTS_EQ;}
	YY_BREAK
case 60:
# line 154 "lexer.l"
{return ANALYSIS_EQ;}
	YY_BREAK
case 61:
# line 155 "lexer.l"
{return X_EQ;}
	YY_BREAK
case 62:
# line 156 "lexer.l"
{return Y_EQ;}
	YY_BREAK
case 63:
# line 157 "lexer.l"
{return Z_EQ;}
	YY_BREAK
case 64:
# line 158 "lexer.l"
{return MASS_EQ;}
	YY_BREAK
case 65:
# line 159 "lexer.l"
{return FORCE_EQ;}
	YY_BREAK
case 66:
# line 160 "lexer.l"
{return CONSTRAINT_EQ;}
	YY_BREAK
case 67:
# line 161 "lexer.l"
{return LOAD_EQ;}
	YY_BREAK
case 68:
# line 162 "lexer.l"
{return MATERIAL_EQ;}
	YY_BREAK
case 69:
# line 163 "lexer.l"
{return E_EQ;}
	YY_BREAK
case 70:
# line 164 "lexer.l"
{return IX_EQ;}
	YY_BREAK
case 71:
# line 165 "lexer.l"
{return IY_EQ;}
	YY_BREAK
case 72:
# line 166 "lexer.l"
{return IZ_EQ;}
	YY_BREAK
case 73:
# line 167 "lexer.l"
{return A_EQ;}
	YY_BREAK
case 74:
# line 168 "lexer.l"
{return J_EQ;}
	YY_BREAK
case 75:
# line 169 "lexer.l"
{return G_EQ;}
	YY_BREAK
case 76:
# line 170 "lexer.l"
{return T_EQ;}
	YY_BREAK
case 77:
# line 171 "lexer.l"
{return RHO_EQ;}
	YY_BREAK
case 78:
# line 172 "lexer.l"
{return NU_EQ;}
	YY_BREAK
case 79:
# line 173 "lexer.l"
{return KAPPA_EQ;}
	YY_BREAK
case 80:
# line 174 "lexer.l"
{return RK_EQ;}
	YY_BREAK
case 81:
# line 175 "lexer.l"
{return RM_EQ;}
	YY_BREAK
case 82:
# line 176 "lexer.l"
{return KX_EQ;}
	YY_BREAK
case 83:
# line 177 "lexer.l"
{return KY_EQ;}
	YY_BREAK
case 84:
# line 178 "lexer.l"
{return KZ_EQ;}
	YY_BREAK
case 85:
# line 179 "lexer.l"
{return C_EQ;}
	YY_BREAK
case 86:
# line 180 "lexer.l"
{return DIRECTION_EQ;}
	YY_BREAK
case 87:
# line 181 "lexer.l"
{return VALUES_EQ;}
	YY_BREAK
case 88:
# line 182 "lexer.l"
{return FX_EQ;}
	YY_BREAK
case 89:
# line 183 "lexer.l"
{return FY_EQ;}
	YY_BREAK
case 90:
# line 184 "lexer.l"
{return FZ_EQ;}
	YY_BREAK
case 91:
# line 185 "lexer.l"
{return MX_EQ;}
	YY_BREAK
case 92:
# line 186 "lexer.l"
{return MY_EQ;}
	YY_BREAK
case 93:
# line 187 "lexer.l"
{return MZ_EQ;}
	YY_BREAK
case 94:
# line 188 "lexer.l"
{return SFX_EQ;}
	YY_BREAK
case 95:
# line 189 "lexer.l"
{return SFY_EQ;}
	YY_BREAK
case 96:
# line 190 "lexer.l"
{return SFZ_EQ;}
	YY_BREAK
case 97:
# line 191 "lexer.l"
{return SMX_EQ;}
	YY_BREAK
case 98:
# line 192 "lexer.l"
{return SMY_EQ;}
	YY_BREAK
case 99:
# line 193 "lexer.l"
{return SMZ_EQ;}
	YY_BREAK
case 100:
# line 194 "lexer.l"
{return TX_EQ;}
	YY_BREAK
case 101:
# line 195 "lexer.l"
{return TY_EQ;}
	YY_BREAK
case 102:
# line 196 "lexer.l"
{return TZ_EQ;}
	YY_BREAK
case 103:
# line 197 "lexer.l"
{return RX_EQ;}
	YY_BREAK
case 104:
# line 198 "lexer.l"
{return RY_EQ;}
	YY_BREAK
case 105:
# line 199 "lexer.l"
{return RZ_EQ;}
	YY_BREAK
case 106:
# line 200 "lexer.l"
{return ITX_EQ;}
	YY_BREAK
case 107:
# line 201 "lexer.l"
{return ITY_EQ;}
	YY_BREAK
case 108:
# line 202 "lexer.l"
{return ITZ_EQ;}
	YY_BREAK
case 109:
# line 203 "lexer.l"
{return IRX_EQ;}
	YY_BREAK
case 110:
# line 204 "lexer.l"
{return IRY_EQ;}
	YY_BREAK
case 111:
# line 205 "lexer.l"
{return IRZ_EQ;}
	YY_BREAK
case 112:
# line 206 "lexer.l"
{return VX_EQ;}
	YY_BREAK
case 113:
# line 207 "lexer.l"
{return VY_EQ;}
	YY_BREAK
case 114:
# line 208 "lexer.l"
{return VZ_EQ;}
	YY_BREAK
case 115:
# line 209 "lexer.l"
{return AX_EQ;}
	YY_BREAK
case 116:
# line 210 "lexer.l"
{return AY_EQ;}
	YY_BREAK
case 117:
# line 211 "lexer.l"
{return AZ_EQ;}
	YY_BREAK
case 118:
# line 212 "lexer.l"
{return ALPHA_EQ;}
	YY_BREAK
case 119:
# line 213 "lexer.l"
{return BETA_EQ;}
	YY_BREAK
case 120:
# line 214 "lexer.l"
{return GAMMA_EQ;}
	YY_BREAK
case 121:
# line 215 "lexer.l"
{return STEP_EQ;}
	YY_BREAK
case 122:
# line 216 "lexer.l"
{return STOP_EQ;}
	YY_BREAK
case 123:
# line 217 "lexer.l"
{return START_EQ;}
	YY_BREAK
case 124:
# line 218 "lexer.l"
{return STOP_EQ;}
	YY_BREAK
case 125:
# line 219 "lexer.l"
{return STEP_EQ;}
	YY_BREAK
case 126:
# line 220 "lexer.l"
{return DOFS_EQ;}
	YY_BREAK
case 127:
# line 221 "lexer.l"
{return MASS_MODE_EQ;}
	YY_BREAK
case 128:
# line 222 "lexer.l"
{return GRAVITY_EQ;}
	YY_BREAK
case 129:
# line 223 "lexer.l"
{return ITERATIONS_EQ;}
	YY_BREAK
case 130:
# line 224 "lexer.l"
{return TOLERANCE_EQ;}
	YY_BREAK
case 131:
# line 225 "lexer.l"
{return RELAXATION_EQ;}
	YY_BREAK
case 132:
# line 226 "lexer.l"
{return INPUT_DOF_EQ;}
	YY_BREAK
case 133:
# line 227 "lexer.l"
{return INPUT_NODE_EQ;}
	YY_BREAK
case 134:
# line 228 "lexer.l"
{return INPUT_RANGE_EQ;}
	YY_BREAK
case 135:
# line 229 "lexer.l"
{return LOAD_STEPS_EQ;}
	YY_BREAK
case 136:
# line 230 "lexer.l"
{return NODE_FORCES_EQ;}
	YY_BREAK
case 137:
# line 231 "lexer.l"
{return ELEMENT_LOADS_EQ;}
	YY_BREAK

/* Velvet-specific constructs */

case 138:
# line 238 "lexer.l"
{return CANVAS;}
	YY_BREAK
case 139:
# line 239 "lexer.l"
{return FIGURES;}
	YY_BREAK
case 140:
# line 240 "lexer.l"
{yylval.i = 1; return BOOLEAN;}
	YY_BREAK
case 141:
# line 241 "lexer.l"
{yylval.i = 0; return BOOLEAN;}
	YY_BREAK
case 142:
# line 242 "lexer.l"
{yylval.i = RECTANGLE; return FIGURE_TYPE;}
	YY_BREAK
case 143:
# line 243 "lexer.l"
{yylval.i = POLYLINE; return FIGURE_TYPE;}
	YY_BREAK
case 144:
# line 244 "lexer.l"
{yylval.i = TEXT; return FIGURE_TYPE;}
	YY_BREAK
case 145:
# line 245 "lexer.l"
{yylval.i = ARC; return FIGURE_TYPE;}
	YY_BREAK
case 146:
# line 247 "lexer.l"
{return NODE_NUM_EQ;}
	YY_BREAK
case 147:
# line 248 "lexer.l"
{return ELT_NUM_EQ;}
	YY_BREAK
case 148:
# line 249 "lexer.l"
{return SNAP_EQ;}
	YY_BREAK
case 149:
# line 250 "lexer.l"
{return GRID_EQ;}
	YY_BREAK
case 150:
# line 251 "lexer.l"
{return SNAP_SIZE_EQ;}
	YY_BREAK
case 151:
# line 252 "lexer.l"
{return GRID_SIZE_EQ;}
	YY_BREAK
case 152:
# line 253 "lexer.l"
{return X_MIN_EQ;}
	YY_BREAK
case 153:
# line 254 "lexer.l"
{return X_MAX_EQ;}
	YY_BREAK
case 154:
# line 255 "lexer.l"
{return Y_MIN_EQ;}
	YY_BREAK
case 155:
# line 256 "lexer.l"
{return Y_MAX_EQ;}
	YY_BREAK
case 156:
# line 257 "lexer.l"
{return SCALE_EQ;}
	YY_BREAK
case 157:
# line 258 "lexer.l"
{return X_POS_EQ;}
	YY_BREAK
case 158:
# line 259 "lexer.l"
{return Y_POS_EQ;}
	YY_BREAK
case 159:
# line 260 "lexer.l"
{return WIDTH_EQ;}
	YY_BREAK
case 160:
# line 261 "lexer.l"
{return HEIGHT_EQ;}
	YY_BREAK
case 161:
# line 262 "lexer.l"
{return NODE_COLOR_EQ;}
	YY_BREAK
case 162:
# line 263 "lexer.l"
{return ELT_COLOR_EQ;}
	YY_BREAK
case 163:
# line 264 "lexer.l"
{return LABEL_FONT_EQ;}
	YY_BREAK
case 164:
# line 265 "lexer.l"
{return TOOL_COLOR_EQ;}
	YY_BREAK
case 165:
# line 266 "lexer.l"
{return TOOL_FONT_EQ;}
	YY_BREAK
case 166:
# line 267 "lexer.l"
{return COLOR_EQ;}
	YY_BREAK
case 167:
# line 268 "lexer.l"
{return FONT_EQ;}
	YY_BREAK
case 168:
# line 269 "lexer.l"
{return TEXT_EQ;}
	YY_BREAK
case 169:
# line 270 "lexer.l"
{return LENGTH_EQ;}
	YY_BREAK
case 170:
# line 271 "lexer.l"
{return POINTS_EQ;}
	YY_BREAK

/* Operators */

case 171:
# line 278 "lexer.l"
{return AND;}
	YY_BREAK
case 172:
# line 279 "lexer.l"
{return OR;}
	YY_BREAK
case 173:
# line 280 "lexer.l"
{return EQUALS;}
	YY_BREAK
case 174:
# line 281 "lexer.l"
{return NEQUAL;}
	YY_BREAK
case 175:
# line 282 "lexer.l"
{return LT_EQ;}
	YY_BREAK
case 176:
# line 283 "lexer.l"
{return GT_EQ;}
	YY_BREAK
case 177:
# line 284 "lexer.l"
{return LSHIFT;}
	YY_BREAK
case 178:
# line 285 "lexer.l"
{return RSHIFT;}
	YY_BREAK

/* Numbers and names */

case 179:
# line 292 "lexer.l"
{yylval.i = atoi (yytext); return INTEGER;}
	YY_BREAK
case 180:
# line 293 "lexer.l"
{yylval.d = atof (yytext); return DOUBLE;}
	YY_BREAK
case 181:
# line 294 "lexer.l"
{yylval.d = atof (yytext); return DOUBLE;}
	YY_BREAK
case 182:
# line 295 "lexer.l"
{yylval.d = atof (yytext); return DOUBLE;}
	YY_BREAK
case 183:
# line 297 "lexer.l"
{yylval.s = strdup (yytext); return NAME;}
	YY_BREAK
case 184:
# line 298 "lexer.l"
{yylval.s = strdup (yytext + 1);
				 yylval.s [yyleng - 2] = 0; return NAME;}
	YY_BREAK

/* Comments, white space, and remaining preprocessor lines (the comment
   rules are straight from the flex documentation). */

case 185:
# line 307 "lexer.l"
{update_line ( );}
	YY_BREAK
case 186:
# line 308 "lexer.l"
{}
	YY_BREAK
case 187:
# line 309 "lexer.l"
{problem.line ++;}
	YY_BREAK
case 188:
# line 310 "lexer.l"
{BEGIN comment;}
	YY_BREAK
case 189:
# line 312 "lexer.l"
{}
	YY_BREAK
case 190:
# line 313 "lexer.l"
{problem.line ++;}
	YY_BREAK
case 191:
# line 314 "lexer.l"
{}
	YY_BREAK
case 192:
# line 315 "lexer.l"
{problem.line ++;}
	YY_BREAK
case 193:
# line 316 "lexer.l"
{BEGIN INITIAL;}
	YY_BREAK
case 194:
# line 318 "lexer.l"
{return *yytext;}
	YY_BREAK
case 195:
# line 320 "lexer.l"
ECHO;
	YY_BREAK
	    case YY_STATE_EOF(INITIAL):
	    case YY_STATE_EOF(comment):
		yyterminate();

	    case YY_END_OF_BUFFER:
		{
		/* amount of text matched not including the EOB char */
		int yy_amount_of_matched_text = yy_cp - yytext - 1;

		/* undo the effects of YY_DO_BEFORE_ACTION */
		*yy_cp = yy_hold_char;

		/* note that here we test for yy_c_buf_p "<=" to the position
		 * of the first EOB in the buffer, since yy_c_buf_p will
		 * already have been incremented past the NUL character
		 * (since all states make transitions on EOB to the end-
		 * of-buffer state).  Contrast this with the test in yyinput().
		 */
		if ( yy_c_buf_p <= &yy_current_buffer->yy_ch_buf[yy_n_chars] )
		    /* this was really a NUL */
		    {
		    yy_state_type yy_next_state;

		    yy_c_buf_p = yytext + yy_amount_of_matched_text;

		    yy_current_state = yy_get_previous_state();

		    /* okay, we're now positioned to make the
		     * NUL transition.  We couldn't have
		     * yy_get_previous_state() go ahead and do it
		     * for us because it doesn't know how to deal
		     * with the possibility of jamming (and we
		     * don't want to build jamming into it because
		     * then it will run more slowly)
		     */

		    yy_next_state = yy_try_NUL_trans( yy_current_state );

		    yy_bp = yytext + YY_MORE_ADJ;

		    if ( yy_next_state )
			{
			/* consume the NUL */
			yy_cp = ++yy_c_buf_p;
			yy_current_state = yy_next_state;
			goto yy_match;
			}

		    else
			{
			goto yy_find_action;
			}
		    }

		else switch ( yy_get_next_buffer() )
		    {
		    case EOB_ACT_END_OF_FILE:
			{
			yy_did_buffer_switch_on_eof = 0;

			if ( yywrap() )
			    {
			    /* note: because we've taken care in
			     * yy_get_next_buffer() to have set up yytext,
			     * we can now set up yy_c_buf_p so that if some
			     * total hoser (like flex itself) wants
			     * to call the scanner after we return the
			     * YY_NULL, it'll still work - another YY_NULL
			     * will get returned.
			     */
			    yy_c_buf_p = yytext + YY_MORE_ADJ;

			    yy_act = YY_STATE_EOF((yy_start - 1) / 2);
			    goto do_action;
			    }

			else
			    {
			    if ( ! yy_did_buffer_switch_on_eof )
				YY_NEW_FILE;
			    }
			}
			break;

		    case EOB_ACT_CONTINUE_SCAN:
			yy_c_buf_p = yytext + yy_amount_of_matched_text;

			yy_current_state = yy_get_previous_state();

			yy_cp = yy_c_buf_p;
			yy_bp = yytext + YY_MORE_ADJ;
			goto yy_match;

		    case EOB_ACT_LAST_MATCH:
			yy_c_buf_p =
			    &yy_current_buffer->yy_ch_buf[yy_n_chars];

			yy_current_state = yy_get_previous_state();

			yy_cp = yy_c_buf_p;
			yy_bp = yytext + YY_MORE_ADJ;
			goto yy_find_action;
		    }
		break;
		}

	    default:
#ifdef FLEX_DEBUG
		printf( "action # %d\n", yy_act );
#endif
		YY_FATAL_ERROR(
			"fatal flex scanner internal error--no action found" );
	    }
	}
    }


/* yy_get_next_buffer - try to read in a new buffer
 *
 * synopsis
 *     int yy_get_next_buffer();
 *     
 * returns a code representing an action
 *     EOB_ACT_LAST_MATCH - 
 *     EOB_ACT_CONTINUE_SCAN - continue scanning from current position
 *     EOB_ACT_END_OF_FILE - end of file
 */

static int yy_get_next_buffer()

    {
    register YY_CHAR *dest = yy_current_buffer->yy_ch_buf;
    register YY_CHAR *source = yytext - 1; /* copy prev. char, too */
    register int number_to_move, i;
    int ret_val;

    if ( yy_c_buf_p > &yy_current_buffer->yy_ch_buf[yy_n_chars + 1] )
	YY_FATAL_ERROR(
		"fatal flex scanner internal error--end of buffer missed" );

    /* try to read more data */

    /* first move last chars to start of buffer */
    number_to_move = yy_c_buf_p - yytext;

    for ( i = 0; i < number_to_move; ++i )
	*(dest++) = *(source++);

    if ( yy_current_buffer->yy_eof_status != EOF_NOT_SEEN )
	/* don't do the read, it's not guaranteed to return an EOF,
	 * just force an EOF
	 */
	yy_n_chars = 0;

    else
	{
	int num_to_read = yy_current_buffer->yy_buf_size - number_to_move - 1;

	if ( num_to_read > YY_READ_BUF_SIZE )
	    num_to_read = YY_READ_BUF_SIZE;

	else if ( num_to_read <= 0 )
	    YY_FATAL_ERROR( "fatal error - scanner input buffer overflow" );

	/* read in more data */
	YY_INPUT( (&yy_current_buffer->yy_ch_buf[number_to_move]),
		  yy_n_chars, num_to_read );
	}

    if ( yy_n_chars == 0 )
	{
	if ( number_to_move - YY_MORE_ADJ == 1 )
	    {
	    ret_val = EOB_ACT_END_OF_FILE;
	    yy_current_buffer->yy_eof_status = EOF_DONE;
	    }

	else
	    {
	    ret_val = EOB_ACT_LAST_MATCH;
	    yy_current_buffer->yy_eof_status = EOF_PENDING;
	    }
	}

    else
	ret_val = EOB_ACT_CONTINUE_SCAN;

    yy_n_chars += number_to_move;
    yy_current_buffer->yy_ch_buf[yy_n_chars] = YY_END_OF_BUFFER_CHAR;
    yy_current_buffer->yy_ch_buf[yy_n_chars + 1] = YY_END_OF_BUFFER_CHAR;

    /* yytext begins at the second character in yy_ch_buf; the first
     * character is the one which preceded it before reading in the latest
     * buffer; it needs to be kept around in case it's a newline, so
     * yy_get_previous_state() will have with '^' rules active
     */

    yytext = &yy_current_buffer->yy_ch_buf[1];

    return ( ret_val );
    }


/* yy_get_previous_state - get the state just before the EOB char was reached
 *
 * synopsis
 *     yy_state_type yy_get_previous_state();
 */

static yy_state_type yy_get_previous_state()

    {
    register yy_state_type yy_current_state;
    register YY_CHAR *yy_cp;

    yy_current_state = yy_start;
    yy_state_ptr = yy_state_buf;
    *yy_state_ptr++ = yy_current_state;

    for ( yy_cp = yytext + YY_MORE_ADJ; yy_cp < yy_c_buf_p; ++yy_cp )
	{
	register YY_CHAR yy_c = (*yy_cp ? yy_ec[*yy_cp] : 1);
	while ( yy_chk[yy_base[yy_current_state] + yy_c] != yy_current_state )
	    {
	    yy_current_state = yy_def[yy_current_state];
	    if ( yy_current_state >= 990 )
		yy_c = yy_meta[yy_c];
	    }
	yy_current_state = yy_nxt[yy_base[yy_current_state] + yy_c];
	*yy_state_ptr++ = yy_current_state;
	}

    return ( yy_current_state );
    }


/* yy_try_NUL_trans - try to make a transition on the NUL character
 *
 * synopsis
 *     next_state = yy_try_NUL_trans( current_state );
 */

#ifdef YY_USE_PROTOS
static yy_state_type yy_try_NUL_trans( register yy_state_type yy_current_state )
#else
static yy_state_type yy_try_NUL_trans( yy_current_state )
register yy_state_type yy_current_state;
#endif

    {
    register int yy_is_jam;

    register YY_CHAR yy_c = 1;
    while ( yy_chk[yy_base[yy_current_state] + yy_c] != yy_current_state )
	{
	yy_current_state = yy_def[yy_current_state];
	if ( yy_current_state >= 990 )
	    yy_c = yy_meta[yy_c];
	}
    yy_current_state = yy_nxt[yy_base[yy_current_state] + yy_c];
    *yy_state_ptr++ = yy_current_state;
    yy_is_jam = (yy_current_state == 989);

    return ( yy_is_jam ? 0 : yy_current_state );
    }


#ifdef YY_USE_PROTOS
static void yyunput( YY_CHAR c, register YY_CHAR *yy_bp )
#else
static void yyunput( c, yy_bp )
YY_CHAR c;
register YY_CHAR *yy_bp;
#endif

    {
    register YY_CHAR *yy_cp = yy_c_buf_p;

    /* undo effects of setting up yytext */
    *yy_cp = yy_hold_char;

    if ( yy_cp < yy_current_buffer->yy_ch_buf + 2 )
	{ /* need to shift things up to make room */
	register int number_to_move = yy_n_chars + 2; /* +2 for EOB chars */
	register YY_CHAR *dest =
	    &yy_current_buffer->yy_ch_buf[yy_current_buffer->yy_buf_size + 2];
	register YY_CHAR *source =
	    &yy_current_buffer->yy_ch_buf[number_to_move];

	while ( source > yy_current_buffer->yy_ch_buf )
	    *--dest = *--source;

	yy_cp += dest - source;
	yy_bp += dest - source;
	yy_n_chars = yy_current_buffer->yy_buf_size;

	if ( yy_cp < yy_current_buffer->yy_ch_buf + 2 )
	    YY_FATAL_ERROR( "flex scanner push-back overflow" );
	}

    if ( yy_cp > yy_bp && yy_cp[-1] == '\n' )
	yy_cp[-2] = '\n';

    *--yy_cp = c;

    /* note: the formal parameter *must* be called "yy_bp" for this
     *       macro to now work correctly
     */
    YY_DO_BEFORE_ACTION; /* set up yytext again */
    }


#ifdef __cplusplus
static int yyinput()
#else
static int input()
#endif

    {
    int c;
    YY_CHAR *yy_cp = yy_c_buf_p;

    *yy_cp = yy_hold_char;

    if ( *yy_c_buf_p == YY_END_OF_BUFFER_CHAR )
	{
	/* yy_c_buf_p now points to the character we want to return.
	 * If this occurs *before* the EOB characters, then it's a
	 * valid NUL; if not, then we've hit the end of the buffer.
	 */
	if ( yy_c_buf_p < &yy_current_buffer->yy_ch_buf[yy_n_chars] )
	    /* this was really a NUL */
	    *yy_c_buf_p = '\0';

	else
	    { /* need more input */
	    yytext = yy_c_buf_p;
	    ++yy_c_buf_p;

	    switch ( yy_get_next_buffer() )
		{
		case EOB_ACT_END_OF_FILE:
		    {
		    if ( yywrap() )
			{
			yy_c_buf_p = yytext + YY_MORE_ADJ;
			return ( EOF );
			}

		    YY_NEW_FILE;

#ifdef __cplusplus
		    return ( yyinput() );
#else
		    return ( input() );
#endif
		    }
		    break;

		case EOB_ACT_CONTINUE_SCAN:
		    yy_c_buf_p = yytext + YY_MORE_ADJ;
		    break;

		case EOB_ACT_LAST_MATCH:
#ifdef __cplusplus
		    YY_FATAL_ERROR( "unexpected last match in yyinput()" );
#else
		    YY_FATAL_ERROR( "unexpected last match in input()" );
#endif
		}
	    }
	}

    c = *yy_c_buf_p;
    yy_hold_char = *++yy_c_buf_p;

    return ( c );
    }


#ifdef YY_USE_PROTOS
void yyrestart( FILE *input_file )
#else
void yyrestart( input_file )
FILE *input_file;
#endif

    {
    yy_init_buffer( yy_current_buffer, input_file );
    yy_load_buffer_state();
    }


#ifdef YY_USE_PROTOS
void yy_switch_to_buffer( YY_BUFFER_STATE new_buffer )
#else
void yy_switch_to_buffer( new_buffer )
YY_BUFFER_STATE new_buffer;
#endif

    {
    if ( yy_current_buffer == new_buffer )
	return;

    if ( yy_current_buffer )
	{
	/* flush out information for old buffer */
	*yy_c_buf_p = yy_hold_char;
	yy_current_buffer->yy_buf_pos = yy_c_buf_p;
	yy_current_buffer->yy_n_chars = yy_n_chars;
	}

    yy_current_buffer = new_buffer;
    yy_load_buffer_state();

    /* we don't actually know whether we did this switch during
     * EOF (yywrap()) processing, but the only time this flag
     * is looked at is after yywrap() is called, so it's safe
     * to go ahead and always set it.
     */
    yy_did_buffer_switch_on_eof = 1;
    }


#ifdef YY_USE_PROTOS
void yy_load_buffer_state( void )
#else
void yy_load_buffer_state()
#endif

    {
    yy_n_chars = yy_current_buffer->yy_n_chars;
    yytext = yy_c_buf_p = yy_current_buffer->yy_buf_pos;
    yyin = yy_current_buffer->yy_input_file;
    yy_hold_char = *yy_c_buf_p;
    }


#ifdef YY_USE_PROTOS
YY_BUFFER_STATE yy_create_buffer( FILE *file, int size )
#else
YY_BUFFER_STATE yy_create_buffer( file, size )
FILE *file;
int size;
#endif

    {
    YY_BUFFER_STATE b;

    b = (YY_BUFFER_STATE) malloc( sizeof( struct yy_buffer_state ) );

    if ( ! b )
	YY_FATAL_ERROR( "out of dynamic memory in yy_create_buffer()" );

    b->yy_buf_size = size;

    /* yy_ch_buf has to be 2 characters longer than the size given because
     * we need to put in 2 end-of-buffer characters.
     */
    b->yy_ch_buf = (YY_CHAR *) malloc( (unsigned) (b->yy_buf_size + 2) );

    if ( ! b->yy_ch_buf )
	YY_FATAL_ERROR( "out of dynamic memory in yy_create_buffer()" );

    yy_init_buffer( b, file );

    return ( b );
    }


#ifdef YY_USE_PROTOS
void yy_delete_buffer( YY_BUFFER_STATE b )
#else
void yy_delete_buffer( b )
YY_BUFFER_STATE b;
#endif

    {
    if ( b == yy_current_buffer )
	yy_current_buffer = (YY_BUFFER_STATE) 0;

    free( (char *) b->yy_ch_buf );
    free( (char *) b );
    }


#ifdef YY_USE_PROTOS
void yy_init_buffer( YY_BUFFER_STATE b, FILE *file )
#else
void yy_init_buffer( b, file )
YY_BUFFER_STATE b;
FILE *file;
#endif

    {
    b->yy_input_file = file;

    /* we put in the '\n' and start reading from [1] so that an
     * initial match-at-newline will be true.
     */

    b->yy_ch_buf[0] = '\n';
    b->yy_n_chars = 1;

    /* we always need two end-of-buffer characters.  The first causes
     * a transition to the end-of-buffer state.  The second causes
     * a jam in that state.
     */
    b->yy_ch_buf[1] = YY_END_OF_BUFFER_CHAR;
    b->yy_ch_buf[2] = YY_END_OF_BUFFER_CHAR;

    b->yy_buf_pos = &b->yy_ch_buf[1];

    b->yy_eof_status = EOF_NOT_SEEN;
    }
# line 320 "lexer.l"


/************************************************************************
 * Function:	yyerror							*
 *									*
 * Description:	Writes a syntax error message reporting the unexpected	*
 *		token only if input if being read from a file.		*
 ************************************************************************/

void yyerror (msg)
    char *msg;
{
    extern int yychar;


    if (!problem.input)
	if (yychar)
	    error ("parse error before `%s'", yytext);
	else
	    error ("parse error before end of input");
    else
	problem.input -= yyleng;
}


/************************************************************************
 * Function:	init_lexer						*
 *									*
 * Description:	Initializes the lexer for a new file.			*
 ************************************************************************/

void init_lexer (fp)
    FILE *fp;
{
    static int first_time = 1;


    if (first_time) {
	first_time = 0;
	yyin = fp;
    } else
	yyrestart (fp);

    if (fp) {
	problem.input = NULL;
	filename = problem.filename;
    }
}


/************************************************************************
 * Function:	update_line						*
 *									*
 * Description:	Updates the current line and file from a preprocessor	*
 *		directive.						*
 ************************************************************************/

static void update_line ( )
{
     char	*ptr1;
     char	*ptr2;
     int         line;
     static char include_filename [256];


     ptr2 = include_filename;
     line = strtol (yytext + 1, &ptr1, 10) - 1;

     if (ptr1) {
	problem.line = line;

	while (*ptr1 && *ptr1 ++ != '"');

	if (*ptr1)
	    problem.filename = filename;

	while (*ptr1 && *ptr1 != '"')
	    *ptr2 ++ = *ptr1 ++;

	*ptr2 = 0;
	if (ptr2 != include_filename)
	    problem.filename = include_filename;
     }
}


/************************************************************************
 * Function:	copy_input						*
 *									*
 * Description:	Specifies whether yytext should be copied into a local	*
 *		buffer.  The text is put into a canonical form in which	*
 *		leading and trailing white space is eliminated and all	*
 *		other sequences of white space are replaced by a space.	*
 ************************************************************************/

char *copy_input (flag)
    int flag;
{
    char       *src;
    char       *dest;
    static char canonical_text [2048];


    if (!(copy_flag = flag)) {
	*(copy_ptr - yyleng) = 0;
	dest = canonical_text;

	src = strtok (copied_text, " \t\n");
	while (src) {
	    while ((*dest ++ = *src ++));
	    src = strtok (NULL, " \t\n");
	    *(dest - 1) = ' ';
	}

	*(dest - 1) = 0;
	*(copy_ptr = copied_text) = 0;
	return canonical_text;
    }

    return copied_text;
}

# undef yywrap
int yywrap ( )
{
    if (0) unput (0);
    return 1;
}
